# Constant Field Values

## Contents

- org.eclipse.*

## org.eclipse.*

org.eclipse.birt.report.model.api.DefaultResourceLocator
Modifier and Type
Constant Field
Value
`public static final String`
`BIRT_RESOURCELOCATOR_SEARCH_LOCATION`
`"birtResourceLocatorSearchLocation"`
`public static final int`
`CASCADING_STYLE_SHEET`
`3`
`public static final String`
`FRAGMENT_RESOURCE_HOST`
`"org.eclipse.birt.resources"`
`public static final int`
`IMAGE`
`1`
`public static final int`
`JAR_FILE`
`4`
`public static final int`
`LIBRARY`
`2`
`public static final int`
`MESSAGE_FILE`
`5`
`public static final int`
`OTHERS`
`0`
`public static final int`
`RESOURCE_BUNDLE`
`2`
`public static final int`
`RESOURCE_DESIGN`
`8`
`public static final int`
`RESOURCE_FILEPATH`
`1`
`public static final int`
`RESOURCE_FOLDER`
`4`
org.eclipse.birt.report.model.api.DesignFileException
Modifier and Type
Constant Field
Value
`public static final String`
`DESIGN_EXCEPTION_INVALID_XML`
`"Error.DesignFileException.INVALID_XML"`
`public static final String`
`DESIGN_EXCEPTION_SEMANTIC_ERROR`
`"Error.DesignFileException.SEMANTIC_ERROR"`
`public static final String`
`DESIGN_EXCEPTION_SEMANTIC_WARNING`
`"Error.DesignFileException.SEMANTIC_WARNING"`
`public static final String`
`DESIGN_EXCEPTION_SYNTAX_ERROR`
`"Error.DesignFileException.SYNTAX_ERROR"`
org.eclipse.birt.report.model.api.ErrorCodes
Modifier and Type
Constant Field
Value
`public static final String`
`DESIGN_EXCEPTION_UNSUPPORTED_VERSION`
`"Error.DesignParserException.UNSUPPORTED_VERSION"`
org.eclipse.birt.report.model.api.ExpressionType
Modifier and Type
Constant Field
Value
`public static final String`
`CONSTANT`
`"constant"`
`public static final String`
`JAVASCRIPT`
`"javascript"`
org.eclipse.birt.report.model.api.IDesignConfig
Modifier and Type
Constant Field
Value
`public static final String`
`RESOURCE_LOCATOR`
`"resourceLocator"`
org.eclipse.birt.report.model.api.IDesignEngineFactory
Modifier and Type
Constant Field
Value
`public static final String`
`EXTENSION_DESIGN_ENGINE_FACTORY`
`"org.eclipse.birt.report.model.DesignEngineFactory"`
org.eclipse.birt.report.model.api.IllegalOperationException
Modifier and Type
Constant Field
Value
`public static final String`
`ILLEGAL_OPERATION_EXCEPTION`
`"This operation is forbidden!"`
org.eclipse.birt.report.model.api.IModuleOption
Modifier and Type
Constant Field
Value
`public static final String`
`BLANK_CREATION_KEY`
`"blankCreation"`
`public static final String`
`CREATED_BY_KEY`
`"createdBy"`
`public static final String`
`LOCALE_KEY`
`"locale"`
`public static final String`
`MARK_LINE_NUMBER_KEY`
`"markLineNumber"`
`public static final String`
`PARSER_SEMANTIC_CHECK_KEY`
`"semanticCheck"`
`public static final String`
`READ_ONLY_MODULE_PROPERTIES`
`"readOnlyModuleProperties"`
`public static final String`
`RESOURCE_FOLDER_KEY`
`"resourceFolder"`
`public static final String`
`RESOURCE_LOCATOR_KEY`
`"resourceLocator"`
`public static final String`
`SUPPORTED_UNKNOWN_VERSION_KEY`
`"supportedUnknownVersion"`
`public static final String`
`TO_LATEST_VERSION`
`"toLatestVersion"`
org.eclipse.birt.report.model.api.IResourceLocator
Modifier and Type
Constant Field
Value
`public static final int`
`ALL_RESOURCE`
`15`
`public static final String`
`BIRT_RESOURCELOCATOR_SEARCH_LOCATION`
`"birtResourceLocatorSearchLocation"`
`public static final int`
`CASCADING_STYLE_SHEET`
`3`
`public static final String`
`FRAGMENT_RESOURCE_HOST`
`"org.eclipse.birt.resources"`
`public static final int`
`IMAGE`
`1`
`public static final int`
`JAR_FILE`
`4`
`public static final int`
`LIBRARY`
`2`
`public static final int`
`MESSAGE_FILE`
`5`
`public static final int`
`OTHERS`
`0`
`public static final int`
`RESOURCE_BUNDLE`
`2`
`public static final int`
`RESOURCE_DESIGN`
`8`
`public static final int`
`RESOURCE_FILEPATH`
`1`
`public static final int`
`RESOURCE_FOLDER`
`4`
org.eclipse.birt.report.model.api.ModelConstants
Modifier and Type
Constant Field
Value
`public static final String`
`REPORT_VERSION`
`"3.2.27"`
org.eclipse.birt.report.model.api.ModelException
Modifier and Type
Constant Field
Value
`public static final String`
`PLUGIN_ID`
`"org.eclipse.birt.report.model"`
org.eclipse.birt.report.model.api.ModuleUtil
Modifier and Type
Constant Field
Value
`public static final int`
`INVALID_MODULE`
`2`
`public static final int`
`LIBRARY`
`0`
`public static final int`
`REPORT_DESIGN`
`1`
org.eclipse.birt.report.model.api.MultiViewsHandle
Modifier and Type
Constant Field
Value
`public static final int`
`HOST`
`-1`
org.eclipse.birt.report.model.api.ReportItemHandleImpl
Modifier and Type
Constant Field
Value
`public static final int`
`DATABINDING_TYPE_DATA`
`1`
`public static final int`
`DATABINDING_TYPE_NONE`
`0`
`public static final int`
`DATABINDING_TYPE_REPORT_ITEM_REF`
`2`
org.eclipse.birt.report.model.api.TOCHandle
Modifier and Type
Constant Field
Value
`public static final String`
`defaultTOCPrefixName`
`"TOC-level-"`

org.eclipse.birt.report.model.api.activity.ActivityStackEvent
Modifier and Type
Constant Field
Value
`public static final int`
`DONE`
`1`
`public static final int`
`REDONE`
`2`
`public static final int`
`ROLL_BACK`
`4`
`public static final int`
`UNDONE`
`3`
org.eclipse.birt.report.model.api.activity.NotificationEvent
Modifier and Type
Constant Field
Value
`public static final int`
`ATTRIBUTE_EVENT`
`12`
`public static final int`
`CONTAINER`
`6`
`public static final int`
`CONTENT_EVENT`
`0`
`public static final int`
`CONTENT_REPLACE_EVENT`
`16`
`public static final int`
`CONTENTS`
`3`
`public static final int`
`CSS_EVENT`
`22`
`public static final int`
`CSS_RELOADED_EVENT`
`21`
`public static final int`
`CUSTOM_MSG_EVENT`
`8`
`public static final int`
`DATA_DESIGN_RELOADED_EVENT`
`25`
`public static final int`
`DATA_MART_PROPERTY_EVENT`
`26`
`public static final int`
`DESCENDENT`
`1`
`public static final int`
`DIRECT`
`0`
`public static final int`
`DISPOSE_EVENT`
`13`
`public static final int`
`ELEMENT_CLIENT`
`4`
`public static final int`
`ELEMENT_DELETE_EVENT`
`1`
`public static final int`
`ELEMENT_LOCALIZE_EVENT`
`18`
`public static final int`
`ENCRYPTION_EVENT`
`23`
`public static final int`
`EXTENDS_EVENT`
`2`
`public static final int`
`EXTENSION_PROPERTY_DEFINITION_EVENT`
`9`
`public static final int`
`LAYOUT_CHANGED_EVENT`
`14`
`public static final int`
`LIBRARY_CHANGE_EVENT`
`20`
`public static final int`
`LIBRARY_EVENT`
`11`
`public static final int`
`LIBRARY_RELOADED_EVENT`
`19`
`public static final int`
`NAME_EVENT`
`3`
`public static final int`
`NAME_SPACE_EVENT`
`4`
`public static final int`
`PROPERTY_EVENT`
`5`
`public static final int`
`STRUCTURE_CLIENT`
`5`
`public static final int`
`STYLE_CLIENT`
`2`
`public static final int`
`STYLE_EVENT`
`6`
`public static final int`
`TEMPLATE_TRANSFORM_EVENT`
`17`
`public static final int`
`THEME_EVENT`
`15`
`public static final int`
`USER_PROP_EVENT`
`7`
`public static final int`
`VALIDATION_EVENT`
`10`
`public static final int`
`VIEWS_CONTENT_EVENT`
`24`
org.eclipse.birt.report.model.api.activity.SemanticException
Modifier and Type
Constant Field
Value
`public static final String`
`DESIGN_EXCEPTION__EXPORT_ELEMENT_FAIL`
`"Error.SemanticException.EXPORT_ELEMENT_FAIL"`
org.eclipse.birt.report.model.api.activity.TransactionOption
Modifier and Type
Constant Field
Value
`public static final int`
`INSTANTANEOUS_SEND_TIME`
`0`
`public static final int`
`OUTMOST_TRANSACTION_SEND_TIME`
`2`
`public static final int`
`SELF_TRANSACTION_SEND_TIME`
`1`

org.eclipse.birt.report.model.api.command.CircularExtendsException
Modifier and Type
Constant Field
Value
`public static final String`
`DESIGN_EXCEPTION_CIRCULAR`
`"Error.CircularExtendsException.CIRCULAR"`
`public static final String`
`DESIGN_EXCEPTION_SELF_EXTEND`
`"Error.CircularExtendsException.SELF_EXTEND"`
org.eclipse.birt.report.model.api.command.ContentEvent
Modifier and Type
Constant Field
Value
`public static final int`
`ADD`
`1`
`public static final int`
`REMOVE`
`2`
`public static final int`
`SHIFT`
`3`
org.eclipse.birt.report.model.api.command.ContentException
Modifier and Type
Constant Field
Value
`public static final String`
`DESIGN_EXCEPTION_CONTENT_ALREADY_INSERTED`
`"Error.ContentException.CONTENT_ALREADY_INSERTED"`
`public static final String`
`DESIGN_EXCEPTION_CONTENT_NAME_REQUIRED`
`"Error.ContentException.CONTENT_NAME_REQUIRED"`
`public static final String`
`DESIGN_EXCEPTION_CONTENT_NOT_ALLOWED_PASTED`
`"Error.ContentException.CONTENT_NOT_ALLOWED_PASTED"`
`public static final String`
`DESIGN_EXCEPTION_CONTENT_NOT_FOUND`
`"Error.ContentException.CONTENT_NOT_FOUND"`
`public static final String`
`DESIGN_EXCEPTION_DROP_FORBIDDEN`
`"DESIGN_EXCEPTION_DROP_FORBIDDEN"`
`public static final String`
`DESIGN_EXCEPTION_GROUPS_CHANGE_FORBIDDEN`
`"Error.ContentException.GROUPS_CHANGE_FORBIDDEN"`
`public static final String`
`DESIGN_EXCEPTION_HAS_DESCENDENTS`
`"Error.ContentException.HAS_DESCENDENTS"`
`public static final String`
`DESIGN_EXCEPTION_HAS_NO_CONTAINER`
`"Error.ContentException.HAS_NO_CONTAINER"`
`public static final String`
`DESIGN_EXCEPTION_INVALID_CONTEXT_CONTAINMENT`
`"Error.ContentException.INVALID_CONTEXT_CONTAINMENT"`
`public static final String`
`DESIGN_EXCEPTION_INVALID_POSITION`
`"Error.ContentException.INVALID_POSITION"`
`public static final String`
`DESIGN_EXCEPTION_INVALID_TEMPLATE_ELEMENT`
`"Error.ContentException.INVALID_TEMPLATE_ELEMENT"`
`public static final String`
`DESIGN_EXCEPTION_MOVE_FORBIDDEN`
`"Error.ContentException.MOVE_FORBIDDEN"`
`public static final String`
`DESIGN_EXCEPTION_NOT_CONTAINER`
`"Error.ContentException.NOT_CONTAINER"`
`public static final String`
`DESIGN_EXCEPTION_RECURSIVE`
`"Error.ContentException.RECURSIVE"`
`public static final String`
`DESIGN_EXCEPTION_SHARE_DIMENSION_NOT_EXIST`
`"Error.ContentException.SHARE_DIMENSION_NOT_EXIST"`
`public static final String`
`DESIGN_EXCEPTION_SLOT_IS_FULL`
`"Error.ContentException.SLOT_IS_FULL"`
`public static final String`
`DESIGN_EXCEPTION_SLOT_NOT_FOUND`
`"Error.ContentException.SLOT_NOT_FOUND"`
`public static final String`
`DESIGN_EXCEPTION_STRUCTURE_CHANGE_FORBIDDEN`
`"Error.ContentException.STRUCTURE_CHANGE_FORBIDDEN"`
`public static final String`
`DESIGN_EXCEPTION_TEMPLATE_TRANSFORM_FORBIDDEN`
`"Error.ContentException.TEMPLATE_TRANSFORM_FORBIDDEN"`
`public static final String`
`DESIGN_EXCEPTION_WRONG_TYPE`
`"Error.ContentException.WRONG_TYPE"`
org.eclipse.birt.report.model.api.command.CssEvent
Modifier and Type
Constant Field
Value
`public static final int`
`ADD`
`1`
`public static final int`
`DROP`
`2`
`public static final int`
`SHIFT`
`3`
org.eclipse.birt.report.model.api.command.CssException
Modifier and Type
Constant Field
Value
`public static final String`
`DESIGN_EXCEPTION_BADCSSFILE`
`"Error.CSSException.BADCSSFILE"`
`public static final String`
`DESIGN_EXCEPTION_CSS_NOT_FOUND`
`"Error.CSSException.CSS_NOT_FOUND"`
`public static final String`
`DESIGN_EXCEPTION_DUPLICATE_CSS`
`"Error.CSSException.DUPLICATE_CSS"`
`public static final String`
`DESIGN_EXCEPTION_READONLY`
`"Error.CssException.READONLY"`
org.eclipse.birt.report.model.api.command.CustomMsgEvent
Modifier and Type
Constant Field
Value
`public static final int`
`ADD`
`0`
`public static final int`
`CHANGE`
`2`
`public static final int`
`DROP`
`1`
org.eclipse.birt.report.model.api.command.CustomMsgException
Modifier and Type
Constant Field
Value
`public static final String`
`DESIGN_EXCEPTION_DUPLICATE_LOCALE`
`"Error.CustomMsgException.DUPLICATE_LOCALE"`
`public static final String`
`DESIGN_EXCEPTION_INVALID_LOCALE`
`"Error.CustomMsgException.INVALID_LOCALE"`
`public static final String`
`DESIGN_EXCEPTION_RESOURCE_KEY_REQUIRED`
`"Error.CustomMsgException.RESOURCE_KEY_REQUIRED"`
`public static final String`
`DESIGN_EXCEPTION_TRANSLATION_NOT_FOUND`
`"Error.CustomMsgException.TRANSLATION_NOT_FOUND"`
org.eclipse.birt.report.model.api.command.EncryptionException
Modifier and Type
Constant Field
Value
`public static final String`
`DESIGN_EXCEPTION_INVALID_ENCRYPTABLE_PROPERTY`
`"Error.EncryptionException.INVALID_ENCRYPTABLE_PROPERTY"`
`public static final String`
`DESIGN_EXCEPTION_INVALID_ENCRYPTION`
`"Error.EncryptionException.INVALID_ENCRYPTION"`
org.eclipse.birt.report.model.api.command.ExtendsException
Modifier and Type
Constant Field
Value
`public static final String`
`DESIGN_EXCEPTION_CANT_EXTEND`
`"Error.ExtendsForbiddenException.CANT_EXTEND"`
`public static final String`
`DESIGN_EXCEPTION_CIRCULAR`
`"Error.CircularExtendsException.CIRCULAR"`
`public static final String`
`DESIGN_EXCEPTION_EXTENDS_FORBIDDEN`
`"Error.ExtendsForbiddenException.EXTENDS_FORBIDDEN"`
`public static final String`
`DESIGN_EXCEPTION_NO_PARENT`
`"Error.InvalidParentException.NO_PARENT"`
`public static final String`
`DESIGN_EXCEPTION_PARENT_NOT_FOUND`
`"Error.InvalidParentException.PARENT_NOT_FOUND"`
`public static final String`
`DESIGN_EXCEPTION_PARENT_NOT_IN_COMPONENT`
`"Error.ExtendsForbiddenException.PARENT_NOT_IN_COMPONENT"`
`public static final String`
`DESIGN_EXCEPTION_PARENT_NOT_INCLUDE`
`"Error.InvalidParentException.PARENT_NOT_INCLUDE"`
`public static final String`
`DESIGN_EXCEPTION_SELF_EXTEND`
`"Error.CircularExtendsException.SELF_EXTEND"`
`public static final String`
`DESIGN_EXCEPTION_UNNAMED_PARENT`
`"Error.InvalidParentException.UNNAMED_PARENT"`
`public static final String`
`DESIGN_EXCEPTION_WRONG_EXTENSION_TYPE`
`"Error.WrongTypeException.WRONG_EXTENSION_TYPE"`
`public static final String`
`DESIGN_EXCEPTION_WRONG_TYPE`
`"Error.WrongTypeException.WRONG_TYPE"`
org.eclipse.birt.report.model.api.command.ExtendsForbiddenException
Modifier and Type
Constant Field
Value
`public static final String`
`DESIGN_EXCEPTION_CANT_EXTEND`
`"Error.ExtendsForbiddenException.CANT_EXTEND"`
`public static final String`
`DESIGN_EXCEPTION_EXTENDS_FORBIDDEN`
`"Error.ExtendsForbiddenException.EXTENDS_FORBIDDEN"`
`public static final String`
`DESIGN_EXCEPTION_PARENT_NOT_IN_COMPONENT`
`"Error.ExtendsForbiddenException.PARENT_NOT_IN_COMPONENT"`
`public static final String`
`DESIGN_EXCEPTION_RESULT_SET_SHARED_CANT_EXTEND`
`"Error.ExtendsForbiddenException.RESULT_SET_SHARED_CANT_EXTEND"`
org.eclipse.birt.report.model.api.command.InvalidParentException
Modifier and Type
Constant Field
Value
`public static final String`
`DESIGN_EXCEPTION_NO_PARENT`
`"Error.InvalidParentException.NO_PARENT"`
`public static final String`
`DESIGN_EXCEPTION_PARENT_NOT_FOUND`
`"Error.InvalidParentException.PARENT_NOT_FOUND"`
`public static final String`
`DESIGN_EXCEPTION_PARENT_NOT_INCLUDE`
`"Error.InvalidParentException.PARENT_NOT_INCLUDE"`
`public static final String`
`DESIGN_EXCEPTION_UNNAMED_PARENT`
`"Error.InvalidParentException.UNNAMED_PARENT"`
org.eclipse.birt.report.model.api.command.LibraryEvent
Modifier and Type
Constant Field
Value
`public static final int`
`ADD`
`1`
`public static final int`
`DROP`
`2`
`public static final int`
`RELOAD`
`4`
`public static final int`
`SHIFT`
`3`
org.eclipse.birt.report.model.api.command.LibraryException
Modifier and Type
Constant Field
Value
`public static final String`
`DESIGN_EXCEPTION_DUPLICATE_LIBRARY_NAMESPACE`
`"Error.LibraryException.DUPLICATE_LIBRARY_NAMESPACE"`
`public static final String`
`DESIGN_EXCEPTION_INVALID_LIBRARY_NAMESPACE`
`"Error.LibraryException.INVALID_LIBRARY_NAMESPACE"`
`public static final String`
`DESIGN_EXCEPTION_LIBRARY_ALREADY_INCLUDED`
`"Error.LibraryException.LIBRARY_ALREADY_INCLUDED"`
`public static final String`
`DESIGN_EXCEPTION_LIBRARY_HAS_DESCENDENTS`
`"Error.LibraryException.LIBRARY_HAS_DESCENDENTS"`
`public static final String`
`DESIGN_EXCEPTION_LIBRARY_INCLUDED_RECURSIVELY`
`"Error.LibraryException.LIBRARY_INCLUDED_RECURSIVELY"`
`public static final String`
`DESIGN_EXCEPTION_LIBRARY_NOT_FOUND`
`"Error.LibraryException.LIBRARY_NOT_FOUND"`
org.eclipse.birt.report.model.api.command.NameException
Modifier and Type
Constant Field
Value
`public static final String`
`DESIGN_EXCEPTION_DOT_FORBIDDEN`
`"Error.NameException.INVALID_NAME"`
`public static final String`
`DESIGN_EXCEPTION_DUPLICATE`
`"Error.NameException.DUPLICATE"`
`public static final String`
`DESIGN_EXCEPTION_HAS_REFERENCES`
`"Error.NameException.HAS_REFERENCES"`
`public static final String`
`DESIGN_EXCEPTION_INVALID_NAME`
`"Error.NameException.INVALID_NAME"`
`public static final String`
`DESIGN_EXCEPTION_INVALID_STYLE_NAME`
`"Error.NameException.INVALID_STYLE_NAME"`
`public static final String`
`DESIGN_EXCEPTION_NAME_FORBIDDEN`
`"Error.NameException.NAME_FORBIDDEN"`
`public static final String`
`DESIGN_EXCEPTION_NAME_REQUIRED`
`"Error.NameException.NAME_REQUIRED"`
org.eclipse.birt.report.model.api.command.NameSpaceEvent
Modifier and Type
Constant Field
Value
`public static final int`
`ADD`
`1`
`public static final int`
`ELEMENT_RENAMED`
`3`
`public static final int`
`REMOVE`
`2`
org.eclipse.birt.report.model.api.command.PropertyNameException
Modifier and Type
Constant Field
Value
`public static final String`
`DESIGN_EXCEPTION_MEMBER_NAME_INVALID`
`"Error.PropertyNameException.MEMBER_NOT_VALID"`
`public static final String`
`DESIGN_EXCEPTION_PROPERTY_NAME_INVALID`
`"Error.PropertyNameException.PROPERTY_NOT_VALID"`
org.eclipse.birt.report.model.api.command.StyleException
Modifier and Type
Constant Field
Value
`public static final String`
`DESIGN_EXCEPTION_FORBIDDEN`
`"Error.StyleException.FORBIDDEN"`
`public static final String`
`DESIGN_EXCEPTION_NOT_FOUND`
`"Error.StyleException.NOT_FOUND"`
org.eclipse.birt.report.model.api.command.TemplateException
Modifier and Type
Constant Field
Value
`public static final String`
`DESIGN_EXCEPTION_CREATE_TEMPLATE_ELEMENT_FORBIDDEN`
`"Error.TemplateException.CREATE_TEMPLATE_ELEMENT_FORBIDDEN"`
`public static final String`
`DESIGN_EXCEPTION_INVALID_TEMPLATE_ELEMENT_TYPE`
`"Error.TemplateException.INVALID_TEMPLATE_ELEMENT_TYPE"`
`public static final String`
`DESIGN_EXCEPTION_REVERT_TO_TEMPLATE_FORBIDDEN`
`"Error.TemplateException.REVERT_TO_TEMPLATE_FORBIDDEN"`
`public static final String`
`DESIGN_EXCEPTION_TEMPLATE_ELEMENT_NOT_SUPPORTED`
`"Error.TemplateException.TEMPLATE_ELEMENT_NOT_SUPPORTED"`
`public static final String`
`DESIGN_EXCEPTION_TRANSFORM_TO_DATA_SET_FORBIDDEN`
`"Error.TemplateException.TRANSFORM_TO_DATA_SET_FORBIDDEN"`
`public static final String`
`DESIGN_EXCEPTION_TRANSFORM_TO_REPORT_ITEM_FORBIDDEN`
`"Error.TemplateException.TRANSFORM_TO_REPORT_ITEM_FORBIDDEN"`
org.eclipse.birt.report.model.api.command.ThemeException
Modifier and Type
Constant Field
Value
`public static final String`
`DESIGN_EXCEPTION_NOT_FOUND`
`"Error.ThemeException.NOT_FOUND"`
`public static final String`
`DESIGN_EXCEPTION_WRONG_TYPE`
`"Error.ThemeException.WRONG_TYPE"`
org.eclipse.birt.report.model.api.command.UserPropertyEvent
Modifier and Type
Constant Field
Value
`public static final int`
`ADD`
`0`
`public static final int`
`DROP`
`1`
org.eclipse.birt.report.model.api.command.UserPropertyException
Modifier and Type
Constant Field
Value
`public static final String`
`DESIGN_EXCEPTION_CHOICE_NAME_REQUIRED`
`"Error.UserPropertyException.CHOICE_NAME_REQUIRED"`
`public static final String`
`DESIGN_EXCEPTION_CHOICE_VALUE_REQUIRED`
`"Error.UserPropertyException.CHOICE_VALUE_REQUIRED"`
`public static final String`
`DESIGN_EXCEPTION_DUPLICATE_NAME`
`"Error.UserPropertyException.DUPLICATE_NAME"`
`public static final String`
`DESIGN_EXCEPTION_INVALID_CHOICE_VALUE`
`"Error.UserPropertyException.INVALID_CHOICE_VALUE"`
`public static final String`
`DESIGN_EXCEPTION_INVALID_DEFAULT_VALUE`
`"Error.UserPropertyException.INVALID_DEFAULT_VALUE"`
`public static final String`
`DESIGN_EXCEPTION_INVALID_DEFINITION`
`"Error.UserPropertyException.INVALID_DEFINITION"`
`public static final String`
`DESIGN_EXCEPTION_INVALID_DISPLAY_ID`
`"Error.UserPropertyException.INVALID_DISPLAY_ID"`
`public static final String`
`DESIGN_EXCEPTION_INVALID_TYPE`
`"Error.UserPropertyException.INVALID_TYPE"`
`public static final String`
`DESIGN_EXCEPTION_MISSING_CHOICES`
`"Error.UserPropertyException.MISSING_CHOICES"`
`public static final String`
`DESIGN_EXCEPTION_NAME_REQUIRED`
`"Error.UserPropertyException.NAME_REQUIRED"`
`public static final String`
`DESIGN_EXCEPTION_NOT_FOUND`
`"Error.UserPropertyException.NOT_FOUND"`
`public static final String`
`DESIGN_EXCEPTION_USER_PROP_DISALLOWED`
`"Error.UserPropertyException.USER_PROP_DISALLOWED"`
org.eclipse.birt.report.model.api.command.ViewsContentEvent
Modifier and Type
Constant Field
Value
`public static final int`
`ADD`
`10`
`public static final int`
`REMOVE`
`11`
`public static final int`
`SHIFT`
`12`
org.eclipse.birt.report.model.api.command.WrongTypeException
Modifier and Type
Constant Field
Value
`public static final String`
`DESIGN_EXCEPTION_WRONG_EXTENSION_TYPE`
`"Error.WrongTypeException.WRONG_EXTENSION_TYPE"`
`public static final String`
`DESIGN_EXCEPTION_WRONG_TYPE`
`"Error.WrongTypeException.WRONG_TYPE"`

org.eclipse.birt.report.model.api.core.AttributeEvent
Modifier and Type
Constant Field
Value
`public static final String`
`FILE_NAME_ATTRIBUTE`
`"fileName"`
org.eclipse.birt.report.model.api.core.IAccessControl
Modifier and Type
Constant Field
Value
`public static final int`
`ARBITARY_LEVEL`
`2147483647`
`public static final int`
`DIRECTLY_INCLUDED_LEVEL`
`1`
`public static final int`
`NATIVE_LEVEL`
`0`
org.eclipse.birt.report.model.api.core.IModuleModel
Modifier and Type
Constant Field
Value
`public static final String`
`AUTHOR_PROP`
`"author"`
`public static final String`
`BASE_PROP`
`"base"`
`public static final String`
`COLOR_PALETTE_PROP`
`"colorPalette"`
`public static final int`
`COMPONENT_SLOT`
`5`
`public static final String`
`CONFIG_VARS_PROP`
`"configVars"`
`public static final String`
`CREATED_BY_PROP`
`"createdBy"`
`public static final int`
`DATA_SET_SLOT`
`3`
`public static final int`
`DATA_SOURCE_SLOT`
`2`
`public static final String`
`DESCRIPTION_ID_PROP`
`"descriptionID"`
`public static final String`
`DESCRIPTION_PROP`
`"description"`
`public static final String`
`HELP_GUIDE_PROP`
`"helpGuide"`
`public static final String`
`IMAGES_PROP`
`"images"`
`public static final String`
`INCLUDE_RESOURCE_PROP`
`"includeResource"`
`public static final String`
`INCLUDE_SCRIPTS_PROP`
`"includeScripts"`
`public static final String`
`INITIALIZE_METHOD`
`"initialize"`
`public static final String`
`LIBRARIES_PROP`
`"libraries"`
`public static final int`
`PAGE_SLOT`
`4`
`public static final int`
`PARAMETER_SLOT`
`1`
`public static final String`
`PROPERTY_BINDINGS_PROP`
`"propertyBindings"`
`public static final String`
`SCRIPTLIBS_PROP`
`"scriptLibs"`
`public static final String`
`SUBJECT_PROP`
`"subject"`
`public static final String`
`THEME_PROP`
`"theme"`
`public static final String`
`TITLE_ID_PROP`
`"titleID"`
`public static final String`
`TITLE_PROP`
`"title"`
`public static final String`
`UNITS_PROP`
`"units"`
org.eclipse.birt.report.model.api.core.UserPropertyDefn
Modifier and Type
Constant Field
Value
`public static final String`
`CHOICES_MEMBER`
`"choices"`
`public static final String`
`DEFAULT_MEMBER`
`"default"`
`public static final String`
`DISPLAY_NAME_ID_MEMBER`
`"displayNameID"`
`public static final String`
`DISPLAY_NAME_MEMBER`
`"displayName"`
`public static final String`
`ISVISIBLE_MEMBER`
`"isVisible"`
`public static final String`
`NAME_MEMBER`
`"name"`
`public static final String`
`STRUCTURE_NAME`
`"UserProperty"`
`public static final String`
`TYPE_MEMBER`
`"type"`

org.eclipse.birt.report.model.api.css.StyleSheetException
Modifier and Type
Constant Field
Value
`public static final String`
`DESIGN_EXCEPTION_STYLE_SHEET_NOT_FOUND`
`"Error.StyleSheetException.STYLE_SHEET_NOT_FOUND"`
`public static final String`
`DESIGN_EXCEPTION_SYNTAX_ERROR`
`"Error.StyleSheetException.SYNTAX_ERROR"`
org.eclipse.birt.report.model.api.css.StyleSheetParserException
Modifier and Type
Constant Field
Value
`public static final String`
`DESIGN_EXCEPTION_INVALID_SHORT_HAND_CSSPROPERTY_VALUE`
`"Error.StyleSheetParserException.INVALID_SHORT_HAND_CSSPROPERTY_VALUE"`
`public static final String`
`DESIGN_EXCEPTION_INVALID_SIMPLE_CSSPROPERTY_VALUE`
`"Error.StyleSheetParserException.INVALID_SIMPLE_CSSPROPERTY_VALUE"`
`public static final String`
`DESIGN_EXCEPTION_PROPERTY_NOT_SUPPORTED`
`"Error.StyleSheetParserException.PROPERTY_NOT_SUPPORTED"`
`public static final String`
`DESIGN_EXCEPTION_RULE_NOT_SUPPORTED`
`"Error.StyleSheetParserException.RULE_NOT_SUPPORTED"`
`public static final String`
`DESIGN_EXCEPTION_STYLE_NOT_SUPPORTED`
`"Error.StyleSheetParserException.STYLE_NOT_SUPPORTED"`

org.eclipse.birt.report.model.api.elements.DesignChoiceConstants
Modifier and Type
Constant Field
Value
`public static final String`
`ACCESS_PERMISSION_ALLOW`
`"allow"`
`public static final String`
`ACCESS_PERMISSION_DISALLOW`
`"disallow"`
`public static final String`
`ACCESS_TYPE_LATEST`
`"latest"`
`public static final String`
`ACCESS_TYPE_SPECIFIC_VERSION`
`"specificVersion"`
`public static final String`
`ACCESS_TYPE_TRANSIENT`
`"transient"`
`public static final String`
`ACTION_BOOKMARK_TYPE_BOOKMARK`
`"bookmark"`
`public static final String`
`ACTION_BOOKMARK_TYPE_TOC`
`"toc"`
`public static final String`
`ACTION_FORMAT_TYPE_HTML`
`"html"`
`public static final String`
`ACTION_FORMAT_TYPE_PDF`
`"pdf"`
`public static final String`
`ACTION_LINK_TYPE_BOOKMARK_LINK`
`"bookmark-link"`
`public static final String`
`ACTION_LINK_TYPE_DRILL_THROUGH`
`"drill-through"`
`public static final String`
`ACTION_LINK_TYPE_HYPERLINK`
`"hyperlink"`
`public static final String`
`ACTION_LINK_TYPE_NONE`
`"none"`
`public static final String`
`ACTION_TARGET_FILE_TYPE_REPORT_DESIGN`
`"report-design"`
`public static final String`
`ACTION_TARGET_FILE_TYPE_REPORT_DOCUMENT`
`"report-document"`
`public static final String`
`AGGREGATION_FUNCTION_AVERAGE`
`"average"`
`public static final String`
`AGGREGATION_FUNCTION_COUNT`
`"count"`
`public static final String`
`AGGREGATION_FUNCTION_COUNTDISTINCT`
`"count-distinct"`
`public static final String`
`AGGREGATION_FUNCTION_FIRST`
`"first"`
`public static final String`
`AGGREGATION_FUNCTION_IRR`
`"irr"`
`public static final String`
`AGGREGATION_FUNCTION_IS_BOTTOM_N`
`"is-bottom-n"`
`public static final String`
`AGGREGATION_FUNCTION_IS_BOTTOM_N_PERCENT`
`"is-bottom-n-percent"`
`public static final String`
`AGGREGATION_FUNCTION_IS_TOP_N`
`"is-top-n"`
`public static final String`
`AGGREGATION_FUNCTION_IS_TOP_N_PERCENT`
`"is-top-n-percent"`
`public static final String`
`AGGREGATION_FUNCTION_LAST`
`"last"`
`public static final String`
`AGGREGATION_FUNCTION_MAX`
`"max"`
`public static final String`
`AGGREGATION_FUNCTION_MEDIAN`
`"median"`
`public static final String`
`AGGREGATION_FUNCTION_MIN`
`"min"`
`public static final String`
`AGGREGATION_FUNCTION_MIRR`
`"mirr"`
`public static final String`
`AGGREGATION_FUNCTION_MODE`
`"mode"`
`public static final String`
`AGGREGATION_FUNCTION_MOVINGAVE`
`"moving-ave"`
`public static final String`
`AGGREGATION_FUNCTION_NPV`
`"npv"`
`public static final String`
`AGGREGATION_FUNCTION_PERCENT_RANK`
`"percent-rank"`
`public static final String`
`AGGREGATION_FUNCTION_PERCENT_SUM`
`"percent-sum"`
`public static final String`
`AGGREGATION_FUNCTION_PERCENTILE`
`"percentile"`
`public static final String`
`AGGREGATION_FUNCTION_RANK`
`"rank"`
`public static final String`
`AGGREGATION_FUNCTION_RUNNINGCOUNT`
`"running-count"`
`public static final String`
`AGGREGATION_FUNCTION_RUNNINGNPV`
`"running-npv"`
`public static final String`
`AGGREGATION_FUNCTION_RUNNINGSUM`
`"running-sum"`
`public static final String`
`AGGREGATION_FUNCTION_STDDEV`
`"stddev"`
`public static final String`
`AGGREGATION_FUNCTION_SUM`
`"sum"`
`public static final String`
`AGGREGATION_FUNCTION_TOP_QUARTILE`
`"quartile"`
`public static final String`
`AGGREGATION_FUNCTION_VARIANCE`
`"variance"`
`public static final String`
`AGGREGATION_FUNCTION_WEIGHTEDAVG`
`"weighted-avg"`
`public static final String`
`ANALYSIS_TYPE_ATTRIBUTE`
`"attribute"`
`public static final String`
`ANALYSIS_TYPE_AUTO`
`"auto"`
`public static final String`
`ANALYSIS_TYPE_DETAIL`
`"detail"`
`public static final String`
`ANALYSIS_TYPE_DIMENSION`
`"dimension"`
`public static final String`
`ANALYSIS_TYPE_MEASURE`
`"measure"`
`public static final String`
`ANALYSIS_TYPE_NONE`
`"none"`
`public static final String`
`AUTO_TEXT_PAGE_NUMBER`
`"page-number"`
`public static final String`
`AUTO_TEXT_PAGE_NUMBER_UNFILTERED`
`"page-number-unfiltered"`
`public static final String`
`AUTO_TEXT_PAGE_VARIABLE`
`"page-variable"`
`public static final String`
`AUTO_TEXT_TOTAL_PAGE`
`"total-page"`
`public static final String`
`AUTO_TEXT_TOTAL_PAGE_UNFILTERED`
`"total-page-unfiltered"`
`public static final String`
`BACKGROUND_ATTACHMENT_FIXED`
`"fixed"`
`public static final String`
`BACKGROUND_ATTACHMENT_SCROLL`
`"scroll"`
`public static final String`
`BACKGROUND_POSITION_BOTTOM`
`"bottom"`
`public static final String`
`BACKGROUND_POSITION_CENTER`
`"center"`
`public static final String`
`BACKGROUND_POSITION_LEFT`
`"left"`
`public static final String`
`BACKGROUND_POSITION_RIGHT`
`"right"`
`public static final String`
`BACKGROUND_POSITION_TOP`
`"top"`
`public static final String`
`BACKGROUND_REPEAT_NO_REPEAT`
`"no-repeat"`
`public static final String`
`BACKGROUND_REPEAT_REPEAT`
`"repeat"`
`public static final String`
`BACKGROUND_REPEAT_REPEAT_X`
`"repeat-x"`
`public static final String`
`BACKGROUND_REPEAT_REPEAT_Y`
`"repeat-y"`
`public static final String`
`BACKGROUND_SIZE_AUTO`
`"auto"`
`public static final String`
`BACKGROUND_SIZE_CONTAIN`
`"contain"`
`public static final String`
`BACKGROUND_SIZE_COVER`
`"cover"`
`public static final String`
`BIDI_DIRECTION_LTR`
`"ltr"`
`public static final String`
`BIDI_DIRECTION_RTL`
`"rtl"`
`public static final String`
`CHOICE_ACCESS_PERMISSION`
`"accessPermission"`
`public static final String`
`CHOICE_ACCESS_TYPE`
`"accessType"`
`public static final String`
`CHOICE_ACTION_BOOKMARK_TYPE`
`"actionBookmarkType"`
`public static final String`
`CHOICE_ACTION_FORMAT_TYPE`
`"actionFormatType"`
`public static final String`
`CHOICE_ACTION_LINK_TYPE`
`"actionLinkType"`
`public static final String`
`CHOICE_ACTION_TARGET_FILE_TYPE`
`"actionTargetFileType"`
`public static final String`
`CHOICE_AGGREGATION_FUNCTION`
`"aggregationFunction"`
`public static final String`
`CHOICE_ANALYSIS_TYPE`
`"analysisType"`
`public static final String`
`CHOICE_AUTO_TEXT_TYPE`
`"autoTextType"`
`public static final String`
`CHOICE_BACKGROUND_ATTACHMENT`
`"backgroundAttachment"`
`public static final String`
`CHOICE_BACKGROUND_POSITION_X`
`"backgroundPositionX"`
`public static final String`
`CHOICE_BACKGROUND_POSITION_Y`
`"backgroundPositionY"`
`public static final String`
`CHOICE_BACKGROUND_REPEAT`
`"backgroundRepeat"`
`public static final String`
`CHOICE_BACKGROUND_SIZE`
`"backgroundSize"`
`public static final String`
`CHOICE_BIDI_DIRECTION`
`"bidiDirection"`
`public static final String`
`CHOICE_COLUMN_ALIGN`
`"columnAlign"`
`public static final String`
`CHOICE_COLUMN_DATA_TYPE`
`"columnDataType"`
`public static final String`
`CHOICE_DATA_SELECTOR_TYPE`
`"selectorType"`
`public static final String`
`CHOICE_DATA_SET_MODE_TYPE`
`"dataSetMode"`
`public static final String`
`CHOICE_DATA_VERSION`
`"dataVersion"`
`public static final String`
`CHOICE_DATE_FORMAT_TYPE`
`"dateFormat"`
`public static final String`
`CHOICE_DATE_TIME_LEVEL_TYPE`
`"dateTimeLevelType"`
`public static final String`
`CHOICE_DATETIME_FORMAT_TYPE`
`"dateTimeFormat"`
`public static final String`
`CHOICE_DISPLAY`
`"display"`
`public static final String`
`CHOICE_DROP_TYPE`
`"dropType"`
`public static final String`
`CHOICE_DYNAMIC_FILTER`
`"dynamicFilterChoice"`
`public static final String`
`CHOICE_EXPORT_TYPE`
`"exportType"`
`public static final String`
`CHOICE_FILTER_CONDITION_TYPE`
`"filterConditionType"`
`public static final String`
`CHOICE_FILTER_OPERATOR`
`"filterOperator"`
`public static final String`
`CHOICE_FILTER_TARGET`
`"filterTarget"`
`public static final String`
`CHOICE_FLYOUT_POSITION`
`"flyoutPosition"`
`public static final String`
`CHOICE_FONT_FAMILY`
`"fontFamily"`
`public static final String`
`CHOICE_FONT_SIZE`
`"fontSize"`
`public static final String`
`CHOICE_FONT_STYLE`
`"fontStyle"`
`public static final String`
`CHOICE_FONT_VARIANT`
`"fontVariant"`
`public static final String`
`CHOICE_FONT_WEIGHT`
`"fontWeight"`
`public static final String`
`CHOICE_FORMAT_TYPE`
`"formatType"`
`public static final String`
`CHOICE_GADGET_CONTENT_TYPE`
`"GadgetContentType"`
`public static final String`
`CHOICE_HTML_GADGET_CONTENT_TYPE`
`"HTMLGadgetContentType"`
`public static final String`
`CHOICE_IMAGE_REF_TYPE`
`"imageRefType"`
`public static final String`
`CHOICE_IMAGE_SIZE`
`"imageSize"`
`public static final String`
`CHOICE_IMAGE_TYPE`
`"imageType"`
`public static final String`
`CHOICE_INTERVAL`
`"interval"`
`public static final String`
`CHOICE_INTERVAL_TYPE`
`"intervalType"`
`public static final String`
`CHOICE_JOIN_OPERATOR`
`"joinOperator"`
`public static final String`
`CHOICE_JOIN_TYPE`
`"joinType"`
`public static final String`
`CHOICE_LEVEL_TYPE`
`"levelType"`
`public static final String`
`CHOICE_LINE_ORIENTATION`
`"lineOrientation"`
`public static final String`
`CHOICE_LINE_SPACING`
`"lineSpacing"`
`public static final String`
`CHOICE_LINE_STYLE`
`"lineStyle"`
`public static final String`
`CHOICE_LINE_WIDTH`
`"lineWidth"`
`public static final String`
`CHOICE_MAP_OPERATOR`
`"mapOperator"`
`public static final String`
`CHOICE_MARGIN`
`"margin"`
`public static final String`
`CHOICE_MEASURE_FUNCTION`
`"measureFunction"`
`public static final String`
`CHOICE_NORMAL`
`"normal"`
`public static final String`
`CHOICE_NULL_VALUE_ORDERING_TYPE`
`"nullValueOrderingType"`
`public static final String`
`CHOICE_NULLS_ORDERING`
`"nullsOrdering"`
`public static final String`
`CHOICE_NUMBER_FORMAT_TYPE`
`"numberFormat"`
`public static final String`
`CHOICE_OPRHANS`
`"orphans"`
`public static final String`
`CHOICE_OVERFLOW`
`"overflow"`
`public static final String`
`CHOICE_PAGE_BREAK_AFTER`
`"pageBreakAfter"`
`public static final String`
`CHOICE_PAGE_BREAK_BEFORE`
`"pageBreakBefore"`
`public static final String`
`CHOICE_PAGE_BREAK_INSIDE`
`"pageBreakInside"`
`public static final String`
`CHOICE_PAGE_ORIENTATION`
`"pageOrientation"`
`public static final String`
`CHOICE_PAGE_SIZE`
`"pageSize"`
`public static final String`
`CHOICE_PARAM_CONTROL`
`"paramControl"`
`public static final String`
`CHOICE_PARAM_SORT_VALUES`
`"paramSortValues"`
`public static final String`
`CHOICE_PARAM_TYPE`
`"paramType"`
`public static final String`
`CHOICE_PARAM_VALUE_TYPE`
`"paramType"`
`public static final String`
`CHOICE_PROPERTY_MASK_TYPE`
`"propertyMaskType"`
`public static final String`
`CHOICE_QUERY_CHOICE_TYPE`
`"queryChoiceType"`
`public static final String`
`CHOICE_REFERENCE_DATE_TYPE`
`"referenceDateType"`
`public static final String`
`CHOICE_REPORT_ITEM_THEME_TYPE`
`"reportItemThemeType"`
`public static final String`
`CHOICE_REPORT_LAYOUT_PREFERENCE`
`"reportLayoutPreference"`
`public static final String`
`CHOICE_SCALAR_PARAM_ALIGN`
`"scalarParamAlign"`
`public static final String`
`CHOICE_SCALAR_PARAM_TYPE`
`"scalarParamType"`
`public static final String`
`CHOICE_SCOPE_TYPE`
`"scopeType"`
`public static final String`
`CHOICE_SEARCH_TYPE`
`"searchType"`
`public static final String`
`CHOICE_SECTION_ALIGN`
`"sectionAlign"`
`public static final String`
`CHOICE_SORT_DIRECTION`
`"sortDirection"`
`public static final String`
`CHOICE_SORT_TYPE`
`"sortType"`
`public static final String`
`CHOICE_STRING_FORMAT_TYPE`
`"stringFormat"`
`public static final String`
`CHOICE_TARGET_NAMES_TYPE`
`"targetNames"`
`public static final String`
`CHOICE_TEMPLATE_ELEMENT_TYPE`
`"templateElementType"`
`public static final String`
`CHOICE_TEXT_ALIGN`
`"textAlign"`
`public static final String`
`CHOICE_TEXT_CONTENT_TYPE`
`"textContentType"`
`public static final String`
`CHOICE_TEXT_DATA_CONTENT_TYPE`
`"textDataContentType"`
`public static final String`
`CHOICE_TEXT_LINE_THROUGH`
`"textLineThrough"`
`public static final String`
`CHOICE_TEXT_OVERLINE`
`"textOverline"`
`public static final String`
`CHOICE_TEXT_UNDERLINE`
`"textUnderline"`
`public static final String`
`CHOICE_THUMB_TYPE`
`"thumbType"`
`public static final String`
`CHOICE_TIME_FORMAT_TYPE`
`"timeFormat"`
`public static final String`
`CHOICE_TRANSFORM`
`"transform"`
`public static final String`
`CHOICE_UNITS`
`"units"`
`public static final String`
`CHOICE_VARIABLE_TYPE`
`"variableType"`
`public static final String`
`CHOICE_VERTICAL_ALIGN`
`"verticalAlign"`
`public static final String`
`CHOICE_VIEW_ACTION`
`"viewAction"`
`public static final String`
`CHOICE_WHITE_SPACE`
`"whiteSpace"`
`public static final String`
`CHOICE_WIDOWS`
`"widows"`
`public static final String`
`CHOICE_WINDOW_STATUS`
`"windowStatus"`
`public static final String`
`COLUMN_ALIGN_CENTER`
`"center"`
`public static final String`
`COLUMN_ALIGN_LEFT`
`"left"`
`public static final String`
`COLUMN_ALIGN_RIGHT`
`"right"`
`public static final String`
`COLUMN_DATA_TYPE_ANY`
`"any"`
`public static final String`
`COLUMN_DATA_TYPE_BLOB`
`"blob"`
`public static final String`
`COLUMN_DATA_TYPE_BOOLEAN`
`"boolean"`
`public static final String`
`COLUMN_DATA_TYPE_DATE`
`"date"`
`public static final String`
`COLUMN_DATA_TYPE_DATETIME`
`"date-time"`
`public static final String`
`COLUMN_DATA_TYPE_DECIMAL`
`"decimal"`
`public static final String`
`COLUMN_DATA_TYPE_FLOAT`
`"float"`
`public static final String`
`COLUMN_DATA_TYPE_INTEGER`
`"integer"`
`public static final String`
`COLUMN_DATA_TYPE_JAVA_OBJECT`
`"javaObject"`
`public static final String`
`COLUMN_DATA_TYPE_STRING`
`"string"`
`public static final String`
`COLUMN_DATA_TYPE_TIME`
`"time"`
`public static final String`
`DATA_SELECTOR_TYPE_CALENDAR`
`"calendar"`
`public static final String`
`DATA_SELECTOR_TYPE_CHECK_BOX`
`"checkBox"`
`public static final String`
`DATA_SELECTOR_TYPE_CHECKBOXTREE_GROUP`
`"checkboxtreeGroup"`
`public static final String`
`DATA_SELECTOR_TYPE_CURRENT_SELECTIONS`
`"currentSelections"`
`public static final String`
`DATA_SELECTOR_TYPE_DROPDOWN`
`"dropdown"`
`public static final String`
`DATA_SELECTOR_TYPE_DROPDOWN_GROUP`
`"dropdownGroup"`
`public static final String`
`DATA_SELECTOR_TYPE_LIST`
`"list"`
`public static final String`
`DATA_SELECTOR_TYPE_LIST_GROUP`
`"listGroup"`
`public static final String`
`DATA_SELECTOR_TYPE_RADIO_BUTTON`
`"radioButton"`
`public static final String`
`DATA_SELECTOR_TYPE_SLIDER`
`"slider"`
`public static final String`
`DATA_SELECTOR_TYPE_TEXT_BOX`
`"textBox"`
`public static final String`
`DATA_SET_MODE_MULTIPLE`
`"multiple"`
`public static final String`
`DATA_SET_MODE_SINGLE`
`"single"`
`public static final String`
`DATA_VERSION_LATEST`
`"latest"`
`public static final String`
`DATA_VERSION_TRANSIENT`
`"transient"`
`public static final String`
`DATE_FORMAT_TYPE_CUSTOM`
`"Custom"`
`public static final String`
`DATE_FORMAT_TYPE_DATE_PICKER`
`"Date Picker"`
`public static final String`
`DATE_FORMAT_TYPE_GENERAL_DATE`
`"General Date"`
`public static final String`
`DATE_FORMAT_TYPE_LONG_DATE`
`"Long Date"`
`public static final String`
`DATE_FORMAT_TYPE_MEDIUM_DATE`
`"Medium Date"`
`public static final String`
`DATE_FORMAT_TYPE_SHORT_DATE`
`"Short Date"`
`public static final String`
`DATE_FORMAT_TYPE_UNFORMATTED`
`"Unformatted"`
`public static final String`
`DATE_TIME_LEVEL_TYPE_DAY`
`"day"`
`public static final String`
`DATE_TIME_LEVEL_TYPE_DAY_OF_MONTH`
`"day-of-month"`
`public static final String`
`DATE_TIME_LEVEL_TYPE_DAY_OF_QUARTER`
`"day-of-quarter"`
`public static final String`
`DATE_TIME_LEVEL_TYPE_DAY_OF_WEEK`
`"day-of-week"`
`public static final String`
`DATE_TIME_LEVEL_TYPE_DAY_OF_YEAR`
`"day-of-year"`
`public static final String`
`DATE_TIME_LEVEL_TYPE_HOUR`
`"hour"`
`public static final String`
`DATE_TIME_LEVEL_TYPE_MINUTE`
`"minute"`
`public static final String`
`DATE_TIME_LEVEL_TYPE_MONTH`
`"month"`
`public static final String`
`DATE_TIME_LEVEL_TYPE_QUARTER`
`"quarter"`
`public static final String`
`DATE_TIME_LEVEL_TYPE_SECOND`
`"second"`
`public static final String`
`DATE_TIME_LEVEL_TYPE_WEEK`
`"week"`
`public static final String`
`DATE_TIME_LEVEL_TYPE_WEEK_OF_MONTH`
`"week-of-month"`
`public static final String`
`DATE_TIME_LEVEL_TYPE_WEEK_OF_QUARTER`
`"week-of-quarter"`
`public static final String`
`DATE_TIME_LEVEL_TYPE_WEEK_OF_YEAR`
`"week-of-year"`
`public static final String`
`DATE_TIME_LEVEL_TYPE_YEAR`
`"year"`
`public static final String`
`DATETIME_FORMAT_TYPE_CUSTOM`
`"Custom"`
`public static final String`
`DATETIME_FORMAT_TYPE_DATE_PICKER`
`"Date Picker"`
`public static final String`
`DATETIME_FORMAT_TYPE_DATE_TIME_PICKER_MEDIUM_TIME`
`"Date Picker, Medium Time"`
`public static final String`
`DATETIME_FORMAT_TYPE_DATE_TIME_PICKER_SHORT_TIME`
`"Date Picker, Short Time"`
`public static final String`
`DATETIME_FORMAT_TYPE_GENERAL_DATE`
`"General Date"`
`public static final String`
`DATETIME_FORMAT_TYPE_LONG_DATE`
`"Long Date"`
`public static final String`
`DATETIME_FORMAT_TYPE_LONG_TIME`
`"Long Time"`
`public static final String`
`DATETIME_FORMAT_TYPE_MEDIUM_DATE`
`"Medium Date"`
`public static final String`
`DATETIME_FORMAT_TYPE_MEDIUM_TIME`
`"Medium Time"`
`public static final String`
`DATETIME_FORMAT_TYPE_SHORT_DATE`
`"Short Date"`
`public static final String`
`DATETIME_FORMAT_TYPE_SHORT_TIME`
`"Short Time"`
`public static final String`
`DATETIME_FORMAT_TYPE_UNFORMATTED`
`"Unformatted"`
`public static final String`
`DISPLAY_BLOCK`
`"block"`
`public static final String`
`DISPLAY_INLINE`
`"inline"`
`public static final String`
`DISPLAY_NONE`
`"none"`
`public static final String`
`DROP_TYPE_ALL`
`"all"`
`public static final String`
`DROP_TYPE_DETAIL`
`"detail"`
`public static final String`
`DROP_TYPE_NONE`
`"none"`
`public static final String`
`DYNAMIC_FILTER_ADVANCED`
`"advanced"`
`public static final String`
`DYNAMIC_FILTER_SIMPLE`
`"simple"`
`public static final String`
`EXPORT_TYPE_ALWAYS`
`"always"`
`public static final String`
`EXPORT_TYPE_IF_REALIZED`
`"if-realized"`
`public static final String`
`EXPORT_TYPE_NONE`
`"none"`
`public static final String`
`FILTER_CONDITION_TYPE_SIMPLE`
`"simple"`
`public static final String`
`FILTER_CONDITION_TYPE_SLICER`
`"slicer"`
`public static final String`
`FILTER_OPERATOR_ANY`
`"any"`
`public static final String`
`FILTER_OPERATOR_BETWEEN`
`"between"`
`public static final String`
`FILTER_OPERATOR_BOTTOM_N`
`"bottom-n"`
`public static final String`
`FILTER_OPERATOR_BOTTOM_PERCENT`
`"bottom-percent"`
`public static final String`
`FILTER_OPERATOR_EQ`
`"eq"`
`public static final String`
`FILTER_OPERATOR_FALSE`
`"is-false"`
`public static final String`
`FILTER_OPERATOR_GE`
`"ge"`
`public static final String`
`FILTER_OPERATOR_GT`
`"gt"`
`public static final String`
`FILTER_OPERATOR_IN`
`"in"`
`public static final String`
`FILTER_OPERATOR_LE`
`"le"`
`public static final String`
`FILTER_OPERATOR_LIKE`
`"like"`
`public static final String`
`FILTER_OPERATOR_LT`
`"lt"`
`public static final String`
`FILTER_OPERATOR_MATCH`
`"match"`
`public static final String`
`FILTER_OPERATOR_NE`
`"ne"`
`public static final String`
`FILTER_OPERATOR_NOT_BETWEEN`
`"not-between"`
`public static final String`
`FILTER_OPERATOR_NOT_IN`
`"not-in"`
`public static final String`
`FILTER_OPERATOR_NOT_LIKE`
`"not-like"`
`public static final String`
`FILTER_OPERATOR_NOT_MATCH`
`"not-match"`
`public static final String`
`FILTER_OPERATOR_NOT_NULL`
`"is-not-null"`
`public static final String`
`FILTER_OPERATOR_NULL`
`"is-null"`
`public static final String`
`FILTER_OPERATOR_TOP_N`
`"top-n"`
`public static final String`
`FILTER_OPERATOR_TOP_PERCENT`
`"top-percent"`
`public static final String`
`FILTER_OPERATOR_TRUE`
`"is-true"`
`public static final String`
`FILTER_TARGET_DATA_SET`
`"DataSet"`
`public static final String`
`FILTER_TARGET_RESULT_SET`
`"ResultSet"`
`public static final String`
`FLYOUT_POSITION_LEFT`
`"left"`
`public static final String`
`FLYOUT_POSITION_RIGHT`
`"right"`
`public static final String`
`FONT_FAMILY_CURSIVE`
`"cursive"`
`public static final String`
`FONT_FAMILY_FANTASY`
`"fantasy"`
`public static final String`
`FONT_FAMILY_MONOSPACE`
`"monospace"`
`public static final String`
`FONT_FAMILY_SANS_SERIF`
`"sans-serif"`
`public static final String`
`FONT_FAMILY_SERIF`
`"serif"`
`public static final String`
`FONT_SIZE_LARGE`
`"large"`
`public static final String`
`FONT_SIZE_LARGER`
`"larger"`
`public static final String`
`FONT_SIZE_MEDIUM`
`"medium"`
`public static final String`
`FONT_SIZE_SMALL`
`"small"`
`public static final String`
`FONT_SIZE_SMALLER`
`"smaller"`
`public static final String`
`FONT_SIZE_X_LARGE`
`"x-large"`
`public static final String`
`FONT_SIZE_X_SMALL`
`"x-small"`
`public static final String`
`FONT_SIZE_XX_LARGE`
`"xx-large"`
`public static final String`
`FONT_SIZE_XX_SMALL`
`"xx-small"`
`public static final String`
`FONT_STYLE_ITALIC`
`"italic"`
`public static final String`
`FONT_STYLE_NORMAL`
`"normal"`
`public static final String`
`FONT_STYLE_OBLIQUE`
`"oblique"`
`public static final String`
`FONT_VARIANT_NORMAL`
`"normal"`
`public static final String`
`FONT_VARIANT_SMALL_CAPS`
`"small-caps"`
`public static final String`
`FONT_WEIGHT_100`
`"100"`
`public static final String`
`FONT_WEIGHT_200`
`"200"`
`public static final String`
`FONT_WEIGHT_300`
`"300"`
`public static final String`
`FONT_WEIGHT_400`
`"400"`
`public static final String`
`FONT_WEIGHT_500`
`"500"`
`public static final String`
`FONT_WEIGHT_600`
`"600"`
`public static final String`
`FONT_WEIGHT_700`
`"700"`
`public static final String`
`FONT_WEIGHT_800`
`"800"`
`public static final String`
`FONT_WEIGHT_900`
`"900"`
`public static final String`
`FONT_WEIGHT_BOLD`
`"bold"`
`public static final String`
`FONT_WEIGHT_BOLDER`
`"bolder"`
`public static final String`
`FONT_WEIGHT_LIGHTER`
`"lighter"`
`public static final String`
`FONT_WEIGHT_NORMAL`
`"normal"`
`public static final String`
`FORMAT_TYPE_ALL`
`"all"`
`public static final String`
`FORMAT_TYPE_DOC`
`"doc"`
`public static final String`
`FORMAT_TYPE_EMAIL`
`"email"`
`public static final String`
`FORMAT_TYPE_EXCEL`
`"excel"`
`public static final String`
`FORMAT_TYPE_PDF`
`"pdf"`
`public static final String`
`FORMAT_TYPE_POWERPOINT`
`"powerpoint"`
`public static final String`
`FORMAT_TYPE_PRINT`
`"print"`
`public static final String`
`FORMAT_TYPE_REPORTLET`
`"reportlet"`
`public static final String`
`FORMAT_TYPE_RTF`
`"rtf"`
`public static final String`
`FORMAT_TYPE_VIEWER`
`"viewer"`
`public static final String`
`FORMAT_TYPE_WORD`
`"word"`
`public static final String`
`GADGET_CONTENT_TYPE_HTML`
`"html"`
`public static final String`
`GADGET_CONTENT_TYPE_IMAGE`
`"image"`
`public static final String`
`GADGET_CONTENT_TYPE_TEXT`
`"text"`
`public static final String`
`GADGET_CONTENT_TYPE_URL`
`"url"`
`public static final String`
`GADGET_CONTENT_TYPE_VIDEO`
`"video"`
`public static final String`
`GADGET_CONTENT_TYPE_VIDEOURL`
`"videourl"`
`public static final String`
`HTML_GADGET_CONTENT_TYPE_HTML`
`"html"`
`public static final String`
`HTML_GADGET_CONTENT_TYPE_URL`
`"url"`
`public static final String`
`IMAGE_REF_TYPE_EMBED`
`"embed"`
`public static final String`
`IMAGE_REF_TYPE_EXPR`
`"expr"`
`public static final String`
`IMAGE_REF_TYPE_FILE`
`"file"`
`public static final String`
`IMAGE_REF_TYPE_NONE`
`"none"`
`public static final String`
`IMAGE_REF_TYPE_URL`
`"url"`
`public static final String`
`IMAGE_SIZE_CLIP`
`"clip"`
`public static final String`
`IMAGE_SIZE_SCALE_TO_ITEM`
`"scale-to-item"`
`public static final String`
`IMAGE_SIZE_SIZE_TO_IMAGE`
`"size-to-image"`
`public static final String`
`IMAGE_TYPE_IMAGE_BMP`
`"image/bmp"`
`public static final String`
`IMAGE_TYPE_IMAGE_GIF`
`"image/gif"`
`public static final String`
`IMAGE_TYPE_IMAGE_ICO`
`"image/ico"`
`public static final String`
`IMAGE_TYPE_IMAGE_JPEG`
`"image/jpeg"`
`public static final String`
`IMAGE_TYPE_IMAGE_PNG`
`"image/png"`
`public static final String`
`IMAGE_TYPE_IMAGE_SVG`
`"image/svg+xml"`
`public static final String`
`IMAGE_TYPE_IMAGE_TIFF`
`"image/tiff"`
`public static final String`
`IMAGE_TYPE_IMAGE_X_ICON`
`"image/x-icon"`
`public static final String`
`IMAGE_TYPE_IMAGE_X_PNG`
`"image/x-png"`
`public static final String`
`INTERVAL_DAY`
`"day"`
`public static final String`
`INTERVAL_HOUR`
`"hour"`
`public static final String`
`INTERVAL_INTERVAL`
`"interval"`
`public static final String`
`INTERVAL_MINUTE`
`"minute"`
`public static final String`
`INTERVAL_MONTH`
`"month"`
`public static final String`
`INTERVAL_NONE`
`"none"`
`public static final String`
`INTERVAL_PREFIX`
`"prefix"`
`public static final String`
`INTERVAL_QUARTER`
`"quarter"`
`public static final String`
`INTERVAL_SECOND`
`"second"`
`public static final String`
`INTERVAL_TYPE_INTERVAL`
`"interval"`
`public static final String`
`INTERVAL_TYPE_NONE`
`"none"`
`public static final String`
`INTERVAL_TYPE_PREFIX`
`"prefix"`
`public static final String`
`INTERVAL_WEEK`
`"week"`
`public static final String`
`INTERVAL_YEAR`
`"year"`
`public static final String`
`JOIN_OPERATOR_EQALS`
`"eq"`
`public static final String`
`JOIN_TYPE_FULL_OUT`
`"full-out"`
`public static final String`
`JOIN_TYPE_INNER`
`"inner"`
`public static final String`
`JOIN_TYPE_LEFT_OUT`
`"left-out"`
`public static final String`
`JOIN_TYPE_RIGHT_OUT`
`"right-out"`
`public static final String`
`LEVEL_TYPE_DYNAMIC`
`"dynamic"`
`public static final String`
`LEVEL_TYPE_MIRRORED`
`"mirrored"`
`public static final String`
`LINE_ORIENTATION_HORIZONTAL`
`"horizontal"`
`public static final String`
`LINE_ORIENTATION_VERTICAL`
`"vertical"`
`public static final String`
`LINE_SPACING_EXACT`
`"exact"`
`public static final String`
`LINE_SPACING_LINES`
`"lines"`
`public static final String`
`LINE_STYLE_DASHED`
`"dashed"`
`public static final String`
`LINE_STYLE_DOTTED`
`"dotted"`
`public static final String`
`LINE_STYLE_DOUBLE`
`"double"`
`public static final String`
`LINE_STYLE_GROOVE`
`"groove"`
`public static final String`
`LINE_STYLE_INSET`
`"inset"`
`public static final String`
`LINE_STYLE_NONE`
`"none"`
`public static final String`
`LINE_STYLE_OUTSET`
`"outset"`
`public static final String`
`LINE_STYLE_RIDGE`
`"ridge"`
`public static final String`
`LINE_STYLE_SOLID`
`"solid"`
`public static final String`
`LINE_WIDTH_MEDIUM`
`"medium"`
`public static final String`
`LINE_WIDTH_THICK`
`"thick"`
`public static final String`
`LINE_WIDTH_THIN`
`"thin"`
`public static final String`
`MAP_OPERATOR_ANY`
`"any"`
`public static final String`
`MAP_OPERATOR_BETWEEN`
`"between"`
`public static final String`
`MAP_OPERATOR_BOTTOM_N`
`"bottom-n"`
`public static final String`
`MAP_OPERATOR_BOTTOM_PERCENT`
`"bottom-percent"`
`public static final String`
`MAP_OPERATOR_EQ`
`"eq"`
`public static final String`
`MAP_OPERATOR_FALSE`
`"is-false"`
`public static final String`
`MAP_OPERATOR_GE`
`"ge"`
`public static final String`
`MAP_OPERATOR_GT`
`"gt"`
`public static final String`
`MAP_OPERATOR_IN`
`"in"`
`public static final String`
`MAP_OPERATOR_LE`
`"le"`
`public static final String`
`MAP_OPERATOR_LIKE`
`"like"`
`public static final String`
`MAP_OPERATOR_LT`
`"lt"`
`public static final String`
`MAP_OPERATOR_MATCH`
`"match"`
`public static final String`
`MAP_OPERATOR_NE`
`"ne"`
`public static final String`
`MAP_OPERATOR_NOT_BETWEEN`
`"not-between"`
`public static final String`
`MAP_OPERATOR_NOT_IN`
`"not-in"`
`public static final String`
`MAP_OPERATOR_NOT_LIKE`
`"not-like"`
`public static final String`
`MAP_OPERATOR_NOT_MATCH`
`"not-match"`
`public static final String`
`MAP_OPERATOR_NOT_NULL`
`"is-not-null"`
`public static final String`
`MAP_OPERATOR_NULL`
`"is-null"`
`public static final String`
`MAP_OPERATOR_TOP_N`
`"top-n"`
`public static final String`
`MAP_OPERATOR_TOP_PERCENT`
`"top-percent"`
`public static final String`
`MAP_OPERATOR_TRUE`
`"is-true"`
`public static final String`
`MARGIN_AUTO`
`"auto"`
`public static final String`
`MEASURE_FUNCTION_AVERAGE`
`"average"`
`public static final String`
`MEASURE_FUNCTION_COUNT`
`"count"`
`public static final String`
`MEASURE_FUNCTION_COUNTDISTINCT`
`"count-distinct"`
`public static final String`
`MEASURE_FUNCTION_FIRST`
`"first"`
`public static final String`
`MEASURE_FUNCTION_IRR`
`"irr"`
`public static final String`
`MEASURE_FUNCTION_LAST`
`"last"`
`public static final String`
`MEASURE_FUNCTION_MAX`
`"max"`
`public static final String`
`MEASURE_FUNCTION_MEDIAN`
`"moving-ave"`
`public static final String`
`MEASURE_FUNCTION_MIN`
`"min"`
`public static final String`
`MEASURE_FUNCTION_MIRR`
`"irr"`
`public static final String`
`MEASURE_FUNCTION_MODE`
`"mode"`
`public static final String`
`MEASURE_FUNCTION_MOVINGAVE`
`"moving-ave"`
`public static final String`
`MEASURE_FUNCTION_NPV`
`"npv"`
`public static final String`
`MEASURE_FUNCTION_RUNNINGCOUNT`
`"running-count"`
`public static final String`
`MEASURE_FUNCTION_RUNNINGNPV`
`"running-npv"`
`public static final String`
`MEASURE_FUNCTION_RUNNINGSUM`
`"running-sum"`
`public static final String`
`MEASURE_FUNCTION_STDDEV`
`"stddev"`
`public static final String`
`MEASURE_FUNCTION_SUM`
`"sum"`
`public static final String`
`MEASURE_FUNCTION_VARIANCE`
`"variance"`
`public static final String`
`MEASURE_FUNCTION_WEIGHTEDAVG`
`"weighted-avg"`
`public static final String`
`NORMAL_NORMAL`
`"normal"`
`public static final String`
`NULL_VALUE_ORDERING_TYPE_NULLISFIRST`
`"nullIsFirst"`
`public static final String`
`NULL_VALUE_ORDERING_TYPE_NULLISLAST`
`"nullIsLast"`
`public static final String`
`NULL_VALUE_ORDERING_TYPE_UNKNOWN`
`"unknown"`
`public static final String`
`NULLS_ORDERING_EXCLUDE_NULLS`
`"exclude nulls"`
`public static final String`
`NULLS_ORDERING_NULLS_HIGHEST`
`"nulls highest"`
`public static final String`
`NULLS_ORDERING_NULLS_LOWEST`
`"nulls lowest"`
`public static final String`
`NUMBER_FORMAT_TYPE_CURRENCY`
`"Currency"`
`public static final String`
`NUMBER_FORMAT_TYPE_CUSTOM`
`"Custom"`
`public static final String`
`NUMBER_FORMAT_TYPE_FIXED`
`"Fixed"`
`public static final String`
`NUMBER_FORMAT_TYPE_GENERAL_NUMBER`
`"General Number"`
`public static final String`
`NUMBER_FORMAT_TYPE_PERCENT`
`"Percent"`
`public static final String`
`NUMBER_FORMAT_TYPE_SCIENTIFIC`
`"Scientific"`
`public static final String`
`NUMBER_FORMAT_TYPE_STANDARD`
`"Standard"`
`public static final String`
`NUMBER_FORMAT_TYPE_UNFORMATTED`
`"Unformatted"`
`public static final String`
`ORPHANS_INHERIT`
`"inherit"`
`public static final String`
`OVERFLOW_AUTO`
`"auto"`
`public static final String`
`OVERFLOW_HIDDEN`
`"hidden"`
`public static final String`
`OVERFLOW_SCROLL`
`"scroll"`
`public static final String`
`OVERFLOW_VISIBLE`
`"visible"`
`public static final String`
`PAGE_BREAK_AFTER_ALWAYS`
`"always"`
`public static final String`
`PAGE_BREAK_AFTER_ALWAYS_EXCLUDING_LAST`
`"always-excluding-last"`
`public static final String`
`PAGE_BREAK_AFTER_AUTO`
`"auto"`
`public static final String`
`PAGE_BREAK_AFTER_AVOID`
`"avoid"`
`public static final String`
`PAGE_BREAK_BEFORE_ALWAYS`
`"always"`
`public static final String`
`PAGE_BREAK_BEFORE_ALWAYS_EXCLUDING_FIRST`
`"always-excluding-first"`
`public static final String`
`PAGE_BREAK_BEFORE_AUTO`
`"auto"`
`public static final String`
`PAGE_BREAK_BEFORE_AVOID`
`"avoid"`
`public static final String`
`PAGE_BREAK_INSIDE_AUTO`
`"auto"`
`public static final String`
`PAGE_BREAK_INSIDE_AVOID`
`"avoid"`
`public static final String`
`PAGE_ORIENTATION_AUTO`
`"auto"`
`public static final String`
`PAGE_ORIENTATION_LANDSCAPE`
`"landscape"`
`public static final String`
`PAGE_ORIENTATION_PORTRAIT`
`"portrait"`
`public static final String`
`PAGE_SIZE_A3`
`"a3"`
`public static final String`
`PAGE_SIZE_A4`
`"a4"`
`public static final String`
`PAGE_SIZE_A5`
`"a5"`
`public static final String`
`PAGE_SIZE_CUSTOM`
`"custom"`
`public static final String`
`PAGE_SIZE_US_LEDGER`
`"us-ledger"`
`public static final String`
`PAGE_SIZE_US_LEGAL`
`"us-legal"`
`public static final String`
`PAGE_SIZE_US_LETTER`
`"us-letter"`
`public static final String`
`PAGE_SIZE_US_SUPER_B`
`"us-super-b"`
`public static final String`
`PARAM_CONTROL_AUTO_SUGGEST`
`"auto-suggest"`
`public static final String`
`PARAM_CONTROL_CHECK_BOX`
`"check-box"`
`public static final String`
`PARAM_CONTROL_LIST_BOX`
`"list-box"`
`public static final String`
`PARAM_CONTROL_RADIO_BUTTON`
`"radio-button"`
`public static final String`
`PARAM_CONTROL_TEXT_BOX`
`"text-box"`
`public static final String`
`PARAM_SORT_VALUES_LABEL`
`"label"`
`public static final String`
`PARAM_SORT_VALUES_VALUE`
`"value"`
`public static final String`
`PARAM_TYPE_ANY`
`"any"`
`public static final String`
`PARAM_TYPE_BOOLEAN`
`"boolean"`
`public static final String`
`PARAM_TYPE_DATE`
`"date"`
`public static final String`
`PARAM_TYPE_DATETIME`
`"dateTime"`
`public static final String`
`PARAM_TYPE_DECIMAL`
`"decimal"`
`public static final String`
`PARAM_TYPE_FLOAT`
`"float"`
`public static final String`
`PARAM_TYPE_INTEGER`
`"integer"`
`public static final String`
`PARAM_TYPE_JAVA_OBJECT`
`"javaObject"`
`public static final String`
`PARAM_TYPE_STRING`
`"string"`
`public static final String`
`PARAM_TYPE_TIME`
`"time"`
`public static final String`
`PARAM_VALUE_TYPE_DYNAMIC`
`"dynamic"`
`public static final String`
`PARAM_VALUE_TYPE_STATIC`
`"static"`
`public static final String`
`PROPERTY_MASK_TYPE_CHANGE`
`"change"`
`public static final String`
`PROPERTY_MASK_TYPE_HIDE`
`"hide"`
`public static final String`
`PROPERTY_MASK_TYPE_LOCK`
`"lock"`
`public static final String`
`QUERY_CHOICE_TYPE_NONE`
`"none"`
`public static final String`
`QUERY_CHOICE_TYPE_SCRIPT`
`"script"`
`public static final String`
`QUERY_CHOICE_TYPE_TEXT`
`"text"`
`public static final String`
`REFERENCE_DATE_TYPE_ENDING_DATE_IN_DIMENSION`
`"endingDateInDimension"`
`public static final String`
`REFERENCE_DATE_TYPE_FIXED_DATE`
`"fixedDate"`
`public static final String`
`REFERENCE_DATE_TYPE_TODAY`
`"today"`
`public static final String`
`REPORT_ITEM_THEME_TYPE_GRID`
`"Grid"`
`public static final String`
`REPORT_ITEM_THEME_TYPE_LIST`
`"List"`
`public static final String`
`REPORT_ITEM_THEME_TYPE_TABLE`
`"Table"`
`public static final String`
`REPORT_LAYOUT_PREFERENCE_AUTO_LAYOUT`
`"auto layout"`
`public static final String`
`REPORT_LAYOUT_PREFERENCE_FIXED_LAYOUT`
`"fixed layout"`
`public static final String`
`SCALAR_PARAM_ALIGN_AUTO`
`"auto"`
`public static final String`
`SCALAR_PARAM_ALIGN_CENTER`
`"center"`
`public static final String`
`SCALAR_PARAM_ALIGN_LEFT`
`"left"`
`public static final String`
`SCALAR_PARAM_ALIGN_RIGHT`
`"right"`
`public static final String`
`SCALAR_PARAM_TYPE_AD_HOC`
`"ad-hoc"`
`public static final String`
`SCALAR_PARAM_TYPE_MULTI_VALUE`
`"multi-value"`
`public static final String`
`SCALAR_PARAM_TYPE_SIMPLE`
`"simple"`
`public static final String`
`SCOPE_TYPE_COL`
`"col"`
`public static final String`
`SCOPE_TYPE_COLGROUP`
`"colgroup"`
`public static final String`
`SCOPE_TYPE_ROW`
`"row"`
`public static final String`
`SCOPE_TYPE_ROWGROUP`
`"rowgroup"`
`public static final String`
`SEARCH_TYPE_ANY`
`"any"`
`public static final String`
`SEARCH_TYPE_INDEXED`
`"indexed"`
`public static final String`
`SEARCH_TYPE_NONE`
`"none"`
`public static final String`
`SECTION_ALIGN_CENTER`
`"center"`
`public static final String`
`SECTION_ALIGN_LEFT`
`"left"`
`public static final String`
`SECTION_ALIGN_RIGHT`
`"right"`
`public static final String`
`SORT_DIRECTION_ASC`
`"asc"`
`public static final String`
`SORT_DIRECTION_DESC`
`"desc"`
`public static final String`
`SORT_TYPE_COMPLEX_SORT`
`"complex-sort"`
`public static final String`
`SORT_TYPE_NONE`
`"none"`
`public static final String`
`SORT_TYPE_SORT_ON_GROUP_KEY`
`"sort-on-group-key"`
`public static final String`
`STRING_FORMAT_TYPE_CUSTOM`
`"Custom"`
`public static final String`
`STRING_FORMAT_TYPE_LOWERCASE`
`"<"`
`public static final String`
`STRING_FORMAT_TYPE_PHONE_NUMBER`
`"Phone Number"`
`public static final String`
`STRING_FORMAT_TYPE_SOCIAL_SECURITY_NUMBER`
`"Social Security Number"`
`public static final String`
`STRING_FORMAT_TYPE_UNFORMATTED`
`"Unformatted"`
`public static final String`
`STRING_FORMAT_TYPE_UPPERCASE`
`">"`
`public static final String`
`STRING_FORMAT_TYPE_ZIP_CODE`
`"Zip Code"`
`public static final String`
`STRING_FORMAT_TYPE_ZIP_CODE_4`
`"Zip Code + 4"`
`public static final String`
`TARGET_NAMES_TYPE_BLANK`
`"_blank"`
`public static final String`
`TARGET_NAMES_TYPE_PARENT`
`"_parent"`
`public static final String`
`TARGET_NAMES_TYPE_SELF`
`"_self"`
`public static final String`
`TARGET_NAMES_TYPE_TOP`
`"_top"`
`public static final String`
`TEMPLATE_ELEMENT_TYPE_DATA`
`"Data"`
`public static final String`
`TEMPLATE_ELEMENT_TYPE_DATA_SET`
`"DataSet"`
`public static final String`
`TEMPLATE_ELEMENT_TYPE_EXTENDED_ITEM`
`"ExtendedItem"`
`public static final String`
`TEMPLATE_ELEMENT_TYPE_FREEFORM`
`"FreeForm"`
`public static final String`
`TEMPLATE_ELEMENT_TYPE_GRID`
`"Grid"`
`public static final String`
`TEMPLATE_ELEMENT_TYPE_IMAGE`
`"Image"`
`public static final String`
`TEMPLATE_ELEMENT_TYPE_LABEL`
`"Label"`
`public static final String`
`TEMPLATE_ELEMENT_TYPE_LIST`
`"List"`
`public static final String`
`TEMPLATE_ELEMENT_TYPE_TABLE`
`"Table"`
`public static final String`
`TEMPLATE_ELEMENT_TYPE_TEXT`
`"Text"`
`public static final String`
`TEMPLATE_ELEMENT_TYPE_TEXT_DATA`
`"TextData"`
`public static final String`
`TEXT_ALIGN_CENTER`
`"center"`
`public static final String`
`TEXT_ALIGN_JUSTIFY`
`"justify"`
`public static final String`
`TEXT_ALIGN_LEFT`
`"left"`
`public static final String`
`TEXT_ALIGN_RIGHT`
`"right"`
`public static final String`
`TEXT_CONTENT_TYPE_AUTO`
`"auto"`
`public static final String`
`TEXT_CONTENT_TYPE_HTML`
`"html"`
`public static final String`
`TEXT_CONTENT_TYPE_PLAIN`
`"plain"`
`public static final String`
`TEXT_CONTENT_TYPE_RTF`
`"rtf"`
`public static final String`
`TEXT_DATA_CONTENT_TYPE_AUTO`
`"auto"`
`public static final String`
`TEXT_DATA_CONTENT_TYPE_HTML`
`"html"`
`public static final String`
`TEXT_DATA_CONTENT_TYPE_PLAIN`
`"plain"`
`public static final String`
`TEXT_DATA_CONTENT_TYPE_RTF`
`"rtf"`
`public static final String`
`TEXT_HYPERLINK_STYLE_NORMAL`
`"normal"`
`public static final String`
`TEXT_HYPERLINK_STYLE_UNDECORATED`
`"text-decoration-none"`
`public static final String`
`TEXT_LINE_THROUGH_LINE_THROUGH`
`"line-through"`
`public static final String`
`TEXT_LINE_THROUGH_NONE`
`"none"`
`public static final String`
`TEXT_OVERLINE_NONE`
`"none"`
`public static final String`
`TEXT_OVERLINE_OVERLINE`
`"overline"`
`public static final String`
`TEXT_UNDERLINE_NONE`
`"none"`
`public static final String`
`TEXT_UNDERLINE_UNDERLINE`
`"underline"`
`public static final String`
`THUMB_TYPE_DUAL`
`"dual"`
`public static final String`
`THUMB_TYPE_SINGLE`
`"single"`
`public static final String`
`TIME_FORMAT_TYPE_CUSTOM`
`"Custom"`
`public static final String`
`TIME_FORMAT_TYPE_LONG_TIME`
`"Long Time"`
`public static final String`
`TIME_FORMAT_TYPE_MEDIUM_TIME`
`"Medium Time"`
`public static final String`
`TIME_FORMAT_TYPE_SHORT_TIME`
`"Short Time"`
`public static final String`
`TIME_FORMAT_TYPE_TIME_PICKER_MEDIUM_TIME`
`"Time Picker, Medium Time"`
`public static final String`
`TIME_FORMAT_TYPE_TIME_PICKER_SHORT_TIME`
`"Time Picker, Short Time"`
`public static final String`
`TRANSFORM_CAPITALIZE`
`"capitalize"`
`public static final String`
`TRANSFORM_LOWERCASE`
`"lowercase"`
`public static final String`
`TRANSFORM_NONE`
`"none"`
`public static final String`
`TRANSFORM_UPPERCASE`
`"uppercase"`
`public static final String`
`UNITS_CM`
`"cm"`
`public static final String`
`UNITS_EM`
`"em"`
`public static final String`
`UNITS_EX`
`"ex"`
`public static final String`
`UNITS_IN`
`"in"`
`public static final String`
`UNITS_MM`
`"mm"`
`public static final String`
`UNITS_PC`
`"pc"`
`public static final String`
`UNITS_PERCENTAGE`
`"%"`
`public static final String`
`UNITS_PT`
`"pt"`
`public static final String`
`UNITS_PX`
`"px"`
`public static final String`
`VALUE_FORMAT_TYPE_CUSTOM`
`"Custom"`
`public static final String`
`VARIABLE_TYPE_PAGE`
`"page"`
`public static final String`
`VARIABLE_TYPE_REPORT`
`"report"`
`public static final String`
`VERTICAL_ALIGN_BASELINE`
`"baseline"`
`public static final String`
`VERTICAL_ALIGN_BOTTOM`
`"bottom"`
`public static final String`
`VERTICAL_ALIGN_MIDDLE`
`"middle"`
`public static final String`
`VERTICAL_ALIGN_SUB`
`"sub"`
`public static final String`
`VERTICAL_ALIGN_SUPER`
`"super"`
`public static final String`
`VERTICAL_ALIGN_TEXT_BOTTOM`
`"text-bottom"`
`public static final String`
`VERTICAL_ALIGN_TEXT_TOP`
`"text-top"`
`public static final String`
`VERTICAL_ALIGN_TOP`
`"top"`
`public static final String`
`VIEW_ACTION_ADDED`
`"Added"`
`public static final String`
`VIEW_ACTION_CHANGED`
`"Changed"`
`public static final String`
`VIEW_ACTION_DELETED`
`"Deleted"`
`public static final String`
`VIEW_ACTION_NO_CHANGE`
`"NoChange"`
`public static final String`
`WHITE_SPACE_NORMAL`
`"normal"`
`public static final String`
`WHITE_SPACE_NOWRAP`
`"nowrap"`
`public static final String`
`WHITE_SPACE_PRE`
`"pre"`
`public static final String`
`WIDOWS_INHERIT`
`"inherit"`
`public static final String`
`WINDOW_STATUS_MAXIMIZED`
`"maximized"`
`public static final String`
`WINDOW_STATUS_NORMAL`
`"normal"`
org.eclipse.birt.report.model.api.elements.IReportItemMethodContext
Modifier and Type
Constant Field
Value
`public static final String`
`ON_CREATE_CONTEXT`
`"onCreate"`
`public static final String`
`ON_PREPARE_CONTEXT`
`"onPrepare"`
`public static final String`
`ON_RENDER_CONTEXT`
`"onRender"`
org.eclipse.birt.report.model.api.elements.ReportDesignConstants
Modifier and Type
Constant Field
Value
`public static final String`
`ACCESS_CONTROL`
`"AccessControl"`
`public static final String`
`AUTOTEXT_ITEM`
`"AutoText"`
`public static final String`
`CASCADING_PARAMETER_GROUP_ELEMENT`
`"CascadingParameterGroup"`
`public static final String`
`CELL_ELEMENT`
`"Cell"`
`public static final String`
`COLUMN_ELEMENT`
`"Column"`
`public static final String`
`CUBE_ELEMENT`
`"Cube"`
`public static final String`
`DATA_GROUP_ELEMENT`
`"DataGroup"`
`public static final String`
`DATA_ITEM`
`"Data"`
`public static final String`
`DATA_SET_ELEMENT`
`"DataSet"`
`public static final String`
`DATA_SOURCE_ELEMENT`
`"DataSource"`
`public static final String`
`DERIVED_DATA_SET`
`"DerivedDataSet"`
`public static final String`
`DERIVED_DATA_SET_ELEMENT`
`"DerivedDataSet"`
`public static final String`
`DESIGN_ELEMENT`
`"DesignElement"`
`public static final String`
`DIMENSION_ELEMENT`
`"Dimension"`
`public static final String`
`DYNAMIC_FILTER_PARAMETER_ELEMENT`
`"DynamicFilterParameter"`
`public static final String`
`EXTENDED_ITEM`
`"ExtendedItem"`
`public static final String`
`FILTER_CONDITION_ELEMENT`
`"FilterConditionElement"`
`public static final String`
`FREE_FORM_ITEM`
`"FreeForm"`
`public static final String`
`GRAPHIC_MASTER_PAGE_ELEMENT`
`"GraphicMasterPage"`
`public static final String`
`GRID_ITEM`
`"Grid"`
`public static final String`
`GROUP_ELEMENT`
`"ListingGroup"`
`public static final String`
`HIERARCHY_ELEMENT`
`"Hierarchy"`
`public static final String`
`IMAGE_ITEM`
`"Image"`
`public static final String`
`JOINT_DATA_SET`
`"JointDataSet"`
`public static final String`
`LABEL_ITEM`
`"Label"`
`public static final String`
`LEVEL_ELEMENT`
`"Level"`
`public static final String`
`LIBRARY_ELEMENT`
`"Library"`
`public static final String`
`LINE_ITEM`
`"Line"`
`public static final String`
`LIST_GROUP_ELEMENT`
`"ListGroup"`
`public static final String`
`LIST_ITEM`
`"List"`
`public static final String`
`LISTING_ITEM`
`"Listing"`
`public static final String`
`MASTER_PAGE_ELEMENT`
`"MasterPage"`
`public static final String`
`MEASURE_ELEMENT`
`"Measure"`
`public static final String`
`MEASURE_GROUP_ELEMENT`
`"MeasureGroup"`
`public static final String`
`MEMBER_VALUE_ELEMENT`
`"MemberValue"`
`public static final String`
`MODULE_ELEMENT`
`"Module"`
`public static final String`
`MULTI_LINE_DATA_ITEM`
`"TextData"`
`public static final String`
`MULTI_VIEWS`
`"MultiViews"`
`public static final String`
`ODA_CUBE_ELEMENT`
`"OdaCube"`
`public static final String`
`ODA_DATA_SET`
`"OdaDataSet"`
`public static final String`
`ODA_DATA_SOURCE`
`"OdaDataSource"`
`public static final String`
`ODA_DIMENSION_ELEMENT`
`"OdaDimension"`
`public static final String`
`ODA_HIERARCHY_ELEMENT`
`"OdaHierarchy"`
`public static final String`
`ODA_LEVEL_ELEMENT`
`"OdaLevel"`
`public static final String`
`ODA_MEASURE_ELEMENT`
`"OdaMeasure"`
`public static final String`
`ODA_MEASURE_GROUP_ELEMENT`
`"OdaMeasureGroup"`
`public static final String`
`PARAMETER_GROUP_ELEMENT`
`"ParameterGroup"`
`public static final String`
`RECTANGLE_ITEM`
`"Rectangle"`
`public static final String`
`REPORT_DESIGN_ELEMENT`
`"ReportDesign"`
`public static final String`
`REPORT_ITEM`
`"ReportItem"`
`public static final String`
`REPORT_ITEM_THEME_ELEMENT`
`"ReportItemTheme"`
`public static final String`
`ROW_ELEMENT`
`"Row"`
`public static final String`
`SCALAR_PARAMETER_ELEMENT`
`"ScalarParameter"`
`public static final String`
`SCRIPT_DATA_SET`
`"ScriptDataSet"`
`public static final String`
`SCRIPT_DATA_SOURCE`
`"ScriptDataSource"`
`public static final String`
`SIMPLE_DATA_SET_ELEMENT`
`"SimpleDataSet"`
`public static final String`
`SIMPLE_MASTER_PAGE_ELEMENT`
`"SimpleMasterPage"`
`public static final String`
`SORT_ELEMENT`
`"SortElement"`
`public static final String`
`STYLE_ELEMENT`
`"Style"`
`public static final String`
`TABLE_GROUP_ELEMENT`
`"TableGroup"`
`public static final String`
`TABLE_ITEM`
`"Table"`
`public static final String`
`TABULAR_CUBE_ELEMENT`
`"TabularCube"`
`public static final String`
`TABULAR_DIMENSION_ELEMENT`
`"TabularDimension"`
`public static final String`
`TABULAR_HIERARCHY_ELEMENT`
`"TabularHierarchy"`
`public static final String`
`TABULAR_LEVEL_ELEMENT`
`"TabularLevel"`
`public static final String`
`TABULAR_MEASURE_ELEMENT`
`"TabularMeasure"`
`public static final String`
`TABULAR_MEASURE_GROUP_ELEMENT`
`"TabularMeasureGroup"`
`public static final String`
`TEMPLATE_DATA_SET`
`"TemplateDataSet"`
`public static final String`
`TEMPLATE_ELEMENT`
`"TemplateElement"`
`public static final String`
`TEMPLATE_PARAMETER_DEFINITION`
`"TemplateParameterDefinition"`
`public static final String`
`TEMPLATE_REPORT_ITEM`
`"TemplateReportItem"`
`public static final String`
`TEXT_DATA_ITEM`
`"TextData"`
`public static final String`
`TEXT_ITEM`
`"Text"`
`public static final String`
`THEME_ITEM`
`"Theme"`
`public static final String`
`VALUE_ACCESS_CONTROL`
`"ValueAccessControl"`
`public static final String`
`VARIABLE_ELEMENT`
`"VariableElement"`
org.eclipse.birt.report.model.api.elements.SemanticError
Modifier and Type
Constant Field
Value
`public static final String`
`DESIGN_EXCEPTION_AT_LEAST_ONE_COLUMN`
`"Error.SemanticError.AT_LEAST_ONE_COLUMN"`
`public static final String`
`DESIGN_EXCEPTION_CANNOT_SPECIFY_DATA_OBJECT`
`"Error.SemanticError.CANNOT_SPECIFY_DATA_OBJECT"`
`public static final String`
`DESIGN_EXCEPTION_CANNOT_SPECIFY_PAGE_SIZE`
`"Error.SemanticError.CANNOT_SPECIFY_PAGE_SIZE"`
`public static final String`
`DESIGN_EXCEPTION_CANNOT_SPECIFY_VALUE`
`"Error.SemanticError.CANNOT_SPECIFY_VALUE"`
`public static final String`
`DESIGN_EXCEPTION_CIRCULAR_ELEMENT_REFERNECE`
`"Error.SemanticError.CIRCULAR_ELEMENT_REFERNECE"`
`public static final String`
`DESIGN_EXCEPTION_COLUMN_COPY_FORBIDDEN`
`"Error.SemanticError.COLUMN_COPY_FORBIDDEN"`
`public static final String`
`DESIGN_EXCEPTION_COLUMN_INSERT_FORBIDDEN`
`"Error.SemanticError.COLUMN_INSERT_FORBIDDEN"`
`public static final String`
`DESIGN_EXCEPTION_COLUMN_PASTE_DIFFERENT_LAYOUT`
`"Error.SemanticError.COLUMN_PASTE_DIFFERENT_LAYOUT"`
`public static final String`
`DESIGN_EXCEPTION_COLUMN_PASTE_FORBIDDEN`
`"Error.SemanticError.COLUMN_PASTE_FORBIDDEN"`
`public static final String`
`DESIGN_EXCEPTION_DATA_SET_MISSED_IN_JOINT_DATA_SET`
`"Error.SemanticError.DATA_SET_MISSED_IN_JOINT_DATA_SET"`
`public static final String`
`DESIGN_EXCEPTION_DUPLICATE_CUSTOM_COLOR_NAME`
`"Error.SemanticError.DUPLICATE_CUSTOM_COLOR_NAME"`
`public static final String`
`DESIGN_EXCEPTION_DUPLICATE_GROUP_NAME`
`"Error.SemanticError.DUPLICATE_GROUP_NAME"`
`public static final String`
`DESIGN_EXCEPTION_EXTENSION_NOT_FOUND`
`"Error.SemanticError.EXTENSION_NOT_FOUND"`
`public static final String`
`DESIGN_EXCEPTION_IMAGE_FILE_NOT_EXIST`
`"Error.SemanticError.IMAGE_FILE_NOT_FOUND"`
`public static final String`
`DESIGN_EXCEPTION_INCONSISTENT_DATA_GROUP`
`"Error.SemanticError.INCONSISTENT_DATA_GROUP"`
`public static final String`
`DESIGN_EXCEPTION_INCONSISTENT_TEMPLATE_PARAMETER_TYPE`
`"Error.SemanticError.INCONSISTENT_TEMPLATE_PARAMETER_TYPE"`
`public static final String`
`DESIGN_EXCEPTION_INCONSITENT_DROP_HEADINGS`
`"Error.SemanticError.INCONSISTENT_TABLE_DROP_HEADINGS"`
`public static final String`
`DESIGN_EXCEPTION_INCONSITENT_GRID_COL_COUNT`
`"Error.SemanticError.INCONSISTENT_GRID_COL_COUNT"`
`public static final String`
`DESIGN_EXCEPTION_INCONSITENT_TABLE_COL_COUNT`
`"Error.SemanticError.INCONSISTENT_TABLE_COL_COUNT"`
`public static final String`
`DESIGN_EXCEPTION_INCONSITENT_TABLE_COL_COUNT_WITH_DROP`
`"Error.SemanticError.INCONSISTENT_TABLE_COL_COUNT_COZ_DROP"`
`public static final String`
`DESIGN_EXCEPTION_INVALID_CUSTOM_COLOR_NAME`
`"Error.SemanticError.INVALID_CUSTOM_COLOR_NAME"`
`public static final String`
`DESIGN_EXCEPTION_INVALID_DATA_BINDING_REF`
`"Error.SemanticError.INVALID_DATA_BINDING_REF"`
`public static final String`
`DESIGN_EXCEPTION_INVALID_ELEMENT_REF`
`"Error.SemanticError.INVALID_ELEMENT_REF"`
`public static final String`
`DESIGN_EXCEPTION_INVALID_IMAGE_NAME_VALUE`
`"Error.DesignParserException.INVALID_IMAGE_NAME_VALUE"`
`public static final String`
`DESIGN_EXCEPTION_INVALID_IMAGE_URL_VALUE`
`"Error.DesignParserException.INVALID_IMAGE_URL_VALUE"`
`public static final String`
`DESIGN_EXCEPTION_INVALID_IMAGEREF_EXPR_VALUE`
`"Error.DesignParserException.INVALID_IMAGEREF_EXPR_VALUE"`
`public static final String`
`DESIGN_EXCEPTION_INVALID_LIBRARY_REFERENCE`
`"Error.SemanticError.INVALID_LIBRARY_REFERENCE"`
`public static final String`
`DESIGN_EXCEPTION_INVALID_MANIFEST`
`"Error.SemanticError.INVALID_MANIFEST"`
`public static final String`
`DESIGN_EXCEPTION_INVALID_MASTER_PAGE_CONTEXT_CONTAINMENT`
`"Error.SemanticError.INVALID_MASTER_PAGE_CONTEXT_CONTAINMENT"`
`public static final String`
`DESIGN_EXCEPTION_INVALID_MULTI_COLUMN`
`"Error.SemanticError.INVALID_MULTI_COLUMN"`
`public static final String`
`DESIGN_EXCEPTION_INVALID_PAGE_MARGINS`
`"Error.SemanticError.INVALID_PAGE_MARGINS"`
`public static final String`
`DESIGN_EXCEPTION_INVALID_PAGE_SIZE`
`"Error.SemanticError.INVALID_PAGE_SIZE"`
`public static final String`
`DESIGN_EXCEPTION_INVALID_PROPERTY_BINDING_ID`
`"Error.SemanticError.INVALID_PROPERTY_BINDING_ID"`
`public static final String`
`DESIGN_EXCEPTION_INVALID_PROPERTY_NAME`
`"Error.SemanticError.INVALID_PROPERTY_NAME"`
`public static final String`
`DESIGN_EXCEPTION_INVALID_SCALAR_PARAMETER_TYPE`
`"Error.SemanticError.INVALID_SCALAR_PARAMETER_TYPE"`
`public static final String`
`DESIGN_EXCEPTION_INVALID_STRUCTURE_REF`
`"Error.SemanticError.INVALID_STRUCTURE_REF"`
`public static final String`
`DESIGN_EXCEPTION_MISSING_COLUMN_BINDING`
`"Error.SemanticError.MISSING_COLUMN_BINDING"`
`public static final String`
`DESIGN_EXCEPTION_MISSING_DATA_SET`
`"Error.SemanticError.MISSING_DATA_SET"`
`public static final String`
`DESIGN_EXCEPTION_MISSING_EXTENSION`
`"Error.SemanticError.MISSING_EXTENSION"`
`public static final String`
`DESIGN_EXCEPTION_MISSING_MASTER_PAGE`
`"Error.SemanticError.MISSING_MASTER_PAGE"`
`public static final String`
`DESIGN_EXCEPTION_MISSING_PAGE_SIZE`
`"Error.SemanticError.MISSING_PAGE_SIZE"`
`public static final String`
`DESIGN_EXCEPTION_MISSING_SQL_STMT`
`"Error.SemanticError.MISSING_SQL_STMT"`
`public static final String`
`DESIGN_EXCEPTION_MISSING_TEMPLATE_PARAMETER_TYPE`
`"Error.SemanticError.MISSING_TEMPLATE_PARAMETER_TYPE"`
`public static final String`
`DESIGN_EXCEPTION_OVERLAPPING_CELLS`
`"Error.SemanticError.OVERLAPPING_CELLS"`
`public static final String`
`DESIGN_EXCEPTION_PROPERTY_BINDING_FORBIDDEN`
`"Error.SemanticError.PROPERTY_BINDING_FORBIDDEN"`
`public static final String`
`DESIGN_EXCEPTION_PROPERTY_COPY_FORBIDDEN`
`"Error.SemanticError.PROPERTY_COPY_FORBIDDEN"`
`public static final String`
`DESIGN_EXCEPTION_ROW_COPY_FORBIDDEN`
`"Error.SemanticError.ROW_COPY_FORBIDDEN"`
`public static final String`
`DESIGN_EXCEPTION_ROW_INSERT_FORBIDDEN`
`"Error.SemanticError.ROW_INSERT_FORBIDDEN"`
`public static final String`
`DESIGN_EXCEPTION_ROW_INSERTANDPASTE_FORBIDDEN`
`"Error.SemanticError.ROW_INSERTANDPASTE_FORBIDDEN"`
`public static final String`
`DESIGN_EXCEPTION_ROW_PASTE_FORBIDDEN`
`"Error.SemanticError.ROW_PASTE_FORBIDDEN"`
`public static final String`
`DESIGN_EXCEPTION_ROW_SHIFT_FORBIDDEN`
`"Error.SemanticError.ROW_SHIFT_FORBIDDEN"`
`public static final String`
`DESIGN_EXCEPTION_TABLE_COLUMN_ILLEGAL_PERCENTAGE`
`"Error.SemanticError.TABLE_COLUMN_ILLEGAL_PERCENTAGE"`
`public static final String`
`DESIGN_EXCEPTION_TABLE_COLUMN_INCONSISTENT_RELATIVE_UNIT`
`"Error.SemanticError.TABLE_COLUMN_INCONSISTENT_RELATIVE_UNIT"`
`public static final String`
`DESIGN_EXCEPTION_TABLE_COLUMN_INCONSISTENT_UNIT_TYPE`
`"Error.SemanticError.TABLE_COLUMN_INCONSISTENT_UNIT_TYPE"`
`public static final String`
`DESIGN_EXCEPTION_TABLE_COLUMN_WITH_NO_WIDTH`
`"Error.SemanticError.TABLE_COLUMN_WITH_NO_WIDTH"`
`public static final String`
`DESIGN_EXCEPTION_TABLE_NO_COLUMN_FOUND`
`"Error.SemanticError.TABLE_NO_COLUMN_FOUND"`
`public static final String`
`DESIGN_EXCEPTION_UNSUPPORTED_ELEMENT`
`"Error.SemanticError.UNSUPPORTED_ELEMENT"`
`public static final String`
`DESIGN_EXCEPTION_VALUE_FORBIDDEN`
`"Error.SemanticError.VALUE_FORBIDDEN"`
`public static final int`
`ERROR`
`0`
`public static final int`
`WARNING`
`1`

org.eclipse.birt.report.model.api.elements.structures.Action
Modifier and Type
Constant Field
Value
`public static final String`
`ACTION_STRUCT`
`"Action"`
`public static final String`
`FORMAT_TYPE_MEMBER`
`"formatType"`
`public static final String`
`LINK_TYPE_MEMBER`
`"linkType"`
`public static final String`
`PARAM_BINDINGS_MEMBER`
`"paramBindings"`
`public static final String`
`REPORT_NAME_MEMBER`
`"reportName"`
`public static final String`
`SEARCH_MEMBER`
`"search"`
`public static final String`
`TARGET_BOOKMARK_MEMBER`
`"targetBookmark"`
`public static final String`
`TARGET_BOOKMARK_TYPE_MEMBER`
`"targetBookmarkType"`
`public static final String`
`TARGET_FILE_TYPE_MEMBER`
`"targetFileType"`
`public static final String`
`TARGET_WINDOW_MEMBER`
`"targetWindow"`
`public static final String`
`TOOLTIP_MEMBER`
`"toolTip"`
`public static final String`
`URI_MEMBER`
`"uri"`
org.eclipse.birt.report.model.api.elements.structures.AggregationArgument
Modifier and Type
Constant Field
Value
`public static final String`
`NAME_MEMBER`
`"name"`
`public static final String`
`STRUCTURE_NAME`
`"AggregationArgument"`
`public static final String`
`VALUE_MEMBER`
`"value"`
org.eclipse.birt.report.model.api.elements.structures.CachedMetaData
Modifier and Type
Constant Field
Value
`public static final String`
`CACHED_METADATA_STRUCT`
`"CachedMetaData"`
`public static final String`
`PARAMETERS_MEMBER`
`"parameters"`
`public static final String`
`RESULT_SET_MEMBER`
`"resultSet"`
org.eclipse.birt.report.model.api.elements.structures.CalculationArgument
Modifier and Type
Constant Field
Value
`public static final String`
`NAME_MEMBER`
`"name"`
`public static final String`
`STRUCTURE_NAME`
`"CalculationArgument"`
`public static final String`
`VALUE_MEMBER`
`"value"`
org.eclipse.birt.report.model.api.elements.structures.ColumnHint
Modifier and Type
Constant Field
Value
`public static final String`
`ACL_EXPRESSION_MEMBER`
`"ACLExpression"`
`public static final String`
`ACTION_MEMBER`
`"action"`
`public static final String`
`ALIAS_MEMBER`
`"alias"`
`public static final String`
`ANALYSIS_COLUMN_MEMBER`
`"analysisColumn"`
`public static final String`
`ANALYSIS_MEMBER`
`"analysis"`
`public static final String`
`COLUMN_HINT_STRUCT`
`"ColumnHint"`
`public static final String`
`COLUMN_NAME_MEMBER`
`"columnName"`
`public static final String`
`COMPRESSED_MEMBER`
`"compressed"`
`public static final String`
`DESCRIPTION_ID_MEMBER`
`"descriptionID"`
`public static final String`
`DESCRIPTION_MEMBER`
`"description"`
`public static final String`
`DISPLAY_LENGTH_MEMBER`
`"displayLength"`
`public static final String`
`DISPLAY_NAME_ID_MEMBER`
`"displayNameID"`
`public static final String`
`DISPLAY_NAME_MEMBER`
`"displayName"`
`public static final String`
`EXPORT_MEMBER`
`"export"`
`public static final String`
`FORMAT_MEMBER`
`"format"`
`public static final String`
`HEADING_ID_MEMBER`
`"headingID"`
`public static final String`
`HEADING_MEMBER`
`"heading"`
`public static final String`
`HELP_TEXT_ID_MEMBER`
`"helpTextID"`
`public static final String`
`HELP_TEXT_MEMBER`
`"helpText"`
`public static final String`
`HORIZONTAL_ALIGN_MEMBER`
`"horizontalAlign"`
`public static final String`
`INDEX_COLUMN_MEMBER`
`"indexColumn"`
`public static final String`
`ON_COLUMN_LAYOUT_MEMBER`
`"onColumnLayout"`
`public static final String`
`PARENT_LEVEL_MEMBER`
`"parentLevel"`
`public static final String`
`SEARCHING_MEMBER`
`"searching"`
`public static final String`
`TEXT_FORMAT_MEMBER`
`"textFormat"`
`public static final String`
`VALUE_FORMAT_MEMBER`
`"valueFormat"`
`public static final String`
`WORD_WRAP_MEMBER`
`"wordWrap"`
org.eclipse.birt.report.model.api.elements.structures.ComputedColumn
Modifier and Type
Constant Field
Value
`public static final String`
`AGGREGATEON_FUNCTION_MEMBER`
`"aggregateFunction"`
`public static final String`
`AGGREGATEON_MEMBER`
`"aggregateOn"`
`public static final String`
`AGGREGRATEON_MEMBER`
`"aggregrateOn"`
`public static final String`
`ALLOW_EXPORT_MEMBER`
`"allowExport"`
`public static final String`
`ARGUMENTS_MEMBER`
`"arguments"`
`public static final String`
`CALCULATION_ARGUMENTS_MEMBER`
`"calculationArguments"`
`public static final String`
`CALCULATION_TYPE_MEMBER`
`"calculationType"`
`public static final String`
`COLUMN_NAME_MEMBER`
`"columnName"`
`public static final String`
`COMPUTED_COLUMN_STRUCT`
`"ComputedColumn"`
`public static final String`
`DATA_TYPE_MEMBER`
`"dataType"`
`public static final String`
`DISPLAY_NAME_ID_MEMBER`
`"displayNameID"`
`public static final String`
`DISPLAY_NAME_MEMBER`
`"displayName"`
`public static final String`
`EXPRESSION_MEMBER`
`"expression"`
`public static final String`
`FILTER_MEMBER`
`"filterExpr"`
`public static final String`
`NAME_MEMBER`
`"name"`
`public static final String`
`REFERENCE_DATE_TYPE_MEMBER`
`"refDateType"`
`public static final String`
`REFERENCE_DATE_VALUE_MEMBER`
`"refDateValue"`
`public static final String`
`TIME_DIMENSION_MEMBER`
`"timeDimension"`
org.eclipse.birt.report.model.api.elements.structures.ConfigVariable
Modifier and Type
Constant Field
Value
`public static final String`
`CONFIG_VAR_STRUCT`
`"ConfigVar"`
`public static final String`
`NAME_MEMBER`
`"name"`
`public static final String`
`VALUE_MEMBER`
`"value"`
org.eclipse.birt.report.model.api.elements.structures.CustomColor
Modifier and Type
Constant Field
Value
`public static final String`
`COLOR_MEMBER`
`"color"`
`public static final String`
`CUSTOM_COLOR_STRUCT`
`"CustomColor"`
`public static final String`
`DISPLAY_NAME_ID_MEMBER`
`"displayNameID"`
`public static final String`
`DISPLAY_NAME_MEMBER`
`"displayName"`
`public static final String`
`NAME_MEMBER`
`"name"`
org.eclipse.birt.report.model.api.elements.structures.DataSetParameter
Modifier and Type
Constant Field
Value
`public static final String`
`ALLOW_NULL_MEMBER`
`"allowNull"`
`public static final String`
`DATA_TYPE_MEMBER`
`"dataType"`
`public static final String`
`DEFAULT_VALUE_MEMBER`
`"defaultValue"`
`public static final String`
`DESCRIPTION_ID_MEMBER`
`"descriptionID"`
`public static final String`
`DESCRIPTION_MEMBER`
`"description"`
`public static final String`
`DISPLAY_NAME_ID_MEMBER`
`"displayNameID"`
`public static final String`
`DISPLAY_NAME_MEMBER`
`"displayName"`
`public static final String`
`HEADING_ID_MEMBER`
`"headingID"`
`public static final String`
`HEADING_MEMBER`
`"heading"`
`public static final String`
`HELP_TEXT_ID_MEMBER`
`"helpTextID"`
`public static final String`
`HELP_TEXT_MEMBER`
`"helpText"`
`public static final String`
`IS_INPUT_MEMBER`
`"isInput"`
`public static final String`
`IS_NULLABLE_MEMBER`
`"isNullable"`
`public static final String`
`IS_OPTIONAL_MEMBER`
`"isOptional"`
`public static final String`
`IS_OUTPUT_MEMBER`
`"isOutput"`
`public static final String`
`NAME_MEMBER`
`"name"`
`public static final String`
`NATIVE_DATA_TYPE_MEMBER`
`"nativeDataType"`
`public static final String`
`POSITION_MEMBER`
`"position"`
`public static final String`
`STRUCT_NAME`
`"DataSetParam"`
org.eclipse.birt.report.model.api.elements.structures.DateFormatValue
Modifier and Type
Constant Field
Value
`public static final String`
`FORMAT_VALUE_STRUCT`
`"DateFormatValue"`
org.eclipse.birt.report.model.api.elements.structures.DateTimeFormatValue
Modifier and Type
Constant Field
Value
`public static final String`
`FORMAT_VALUE_STRUCT`
`"DateTimeFormatValue"`
org.eclipse.birt.report.model.api.elements.structures.DimensionCondition
Modifier and Type
Constant Field
Value
`public static final String`
`DIMENSION_CONDITION_STRUCT`
`"DimensionCondition"`
`public static final String`
`HIERARCHY_MEMBER`
`"hierarchy"`
`public static final String`
`JOIN_CONDITIONS_MEMBER`
`"joinConditions"`
org.eclipse.birt.report.model.api.elements.structures.DimensionJoinCondition
Modifier and Type
Constant Field
Value
`public static final String`
`CUBE_KEY_MEMBER`
`"cubeKey"`
`public static final String`
`DIMENSION_JOIN_CONDITION_STRUCT`
`"DimensionJoinCondition"`
`public static final String`
`HIERARCHY_KEY_MEMBER`
`"hierarchyKey"`
`public static final String`
`LEVEL_MEMBER`
`"level"`
org.eclipse.birt.report.model.api.elements.structures.EmbeddedImage
Modifier and Type
Constant Field
Value
`public static final String`
`CHARSET`
`"8859_1"`
`public static final String`
`DATA_MEMBER`
`"data"`
`public static final String`
`EMBEDDED_IMAGE_STRUCT`
`"EmbeddedImage"`
`public static final String`
`NAME_MEMBER`
`"name"`
`public static final String`
`TYPE_MEMBER`
`"type"`
org.eclipse.birt.report.model.api.elements.structures.ExtendedProperty
Modifier and Type
Constant Field
Value
`public static final String`
`ENCRYPTION_ID_MEMBER`
`"encryptionID"`
`public static final String`
`Extended_PROPERTY_STRUCT`
`"ExtendedProperty"`
`public static final String`
`NAME_MEMBER`
`"name"`
`public static final String`
`VALUE_MEMBER`
`"value"`
org.eclipse.birt.report.model.api.elements.structures.FilterCondition
Modifier and Type
Constant Field
Value
`public static final String`
`CUSTOM_VALUE`
`"customValue"`
`public static final String`
`DYNAMIC_FILTER_PARAMETER_MEMBER`
`"dynamicFilterParameter"`
`public static final String`
`EXPR_MEMBER`
`"expr"`
`public static final String`
`EXTENSION_EXPR_ID_MEMBER`
`"extensionExprId"`
`public static final String`
`EXTENSION_NAME_MEMBER`
`"extensionName"`
`public static final String`
`FILTER_COND_STRUCT`
`"FilterCondition"`
`public static final String`
`FILTER_TARGET_MEMBER`
`"filterTarget"`
`public static final String`
`IS_OPTIONAL_MEMBER`
`"isOptional"`
`public static final String`
`OPERATOR_MEMBER`
`"operator"`
`public static final String`
`PUSH_DOWN_MEMBER`
`"pushDown"`
`public static final String`
`TYPE_MEMBER`
`"type"`
`public static final String`
`UPDATE_AGGREGATION_MEMBER`
`"updateAggregation"`
`public static final String`
`VALUE1_MEMBER`
`"value1"`
`public static final String`
`VALUE2_MEMBER`
`"value2"`
org.eclipse.birt.report.model.api.elements.structures.FormatValue
Modifier and Type
Constant Field
Value
`public static final String`
`CATEGORY_MEMBER`
`"category"`
`public static final String`
`FORMAT_VALUE_STRUCT`
`"FormatValue"`
`public static final String`
`LOCALE_MEMBER`
`"locale"`
`public static final String`
`PATTERN_MEMBER`
`"pattern"`
org.eclipse.birt.report.model.api.elements.structures.HideRule
Modifier and Type
Constant Field
Value
`public static final String`
`FORMAT_MEMBER`
`"format"`
`public static final String`
`STRUCTURE_NAME`
`"HideRule"`
`public static final String`
`VALUE_EXPR_MEMBER`
`"valueExpr"`
org.eclipse.birt.report.model.api.elements.structures.HighlightRule
Modifier and Type
Constant Field
Value
`public static final String`
`BACKGROUND_COLOR_MEMBER`
`"backgroundColor"`
`public static final String`
`BACKGROUND_IMAGE_MEMBER`
`"backgroundImage"`
`public static final String`
`BACKGROUND_REPEAT_MEMBER`
`"backgroundRepeat"`
`public static final String`
`BORDER_BOTTOM_COLOR_MEMBER`
`"borderBottomColor"`
`public static final String`
`BORDER_BOTTOM_STYLE_MEMBER`
`"borderBottomStyle"`
`public static final String`
`BORDER_BOTTOM_WIDTH_MEMBER`
`"borderBottomWidth"`
`public static final String`
`BORDER_LEFT_COLOR_MEMBER`
`"borderLeftColor"`
`public static final String`
`BORDER_LEFT_STYLE_MEMBER`
`"borderLeftStyle"`
`public static final String`
`BORDER_LEFT_WIDTH_MEMBER`
`"borderLeftWidth"`
`public static final String`
`BORDER_RIGHT_COLOR_MEMBER`
`"borderRightColor"`
`public static final String`
`BORDER_RIGHT_STYLE_MEMBER`
`"borderRightStyle"`
`public static final String`
`BORDER_RIGHT_WIDTH_MEMBER`
`"borderRightWidth"`
`public static final String`
`BORDER_TOP_COLOR_MEMBER`
`"borderTopColor"`
`public static final String`
`BORDER_TOP_STYLE_MEMBER`
`"borderTopStyle"`
`public static final String`
`BORDER_TOP_WIDTH_MEMBER`
`"borderTopWidth"`
`public static final String`
`COLOR_MEMBER`
`"color"`
`public static final String`
`DATE_TIME_FORMAT_MEMBER`
`"dateTimeFormat"`
`public static final String`
`FONT_FAMILY_MEMBER`
`"fontFamily"`
`public static final String`
`FONT_SIZE_MEMBER`
`"fontSize"`
`public static final String`
`FONT_STYLE_MEMBER`
`"fontStyle"`
`public static final String`
`FONT_VARIANT_MEMBER`
`"fontVariant"`
`public static final String`
`FONT_WEIGHT_MEMBER`
`"fontWeight"`
`public static final String`
`LINE_HEIGHT_MEMBER`
`"lineHeight"`
`public static final String`
`NUMBER_ALIGN_MEMBER`
`"numberAlign"`
`public static final String`
`NUMBER_FORMAT_MEMBER`
`"numberFormat"`
`public static final String`
`PADDING_BOTTOM_MEMBER`
`"paddingBottom"`
`public static final String`
`PADDING_LEFT_MEMBER`
`"paddingLeft"`
`public static final String`
`PADDING_RIGHT_MEMBER`
`"paddingRight"`
`public static final String`
`PADDING_TOP_MEMBER`
`"paddingTop"`
`public static final String`
`STRING_FORMAT_MEMBER`
`"stringFormat"`
`public static final String`
`STRUCTURE_NAME`
`"HighlightRule"`
`public static final String`
`STYLE_MEMBER`
`"style"`
`public static final String`
`TEXT_ALIGN_MEMBER`
`"textAlign"`
`public static final String`
`TEXT_DIRECTION_MEMBER`
`"bidiTextDirection"`
`public static final String`
`TEXT_INDENT_MEMBER`
`"textIndent"`
`public static final String`
`TEXT_LINE_THROUGH_MEMBER`
`"textLineThrough"`
`public static final String`
`TEXT_OVERLINE_MEMBER`
`"textOverline"`
`public static final String`
`TEXT_TRANSFORM_MEMBER`
`"textTransform"`
`public static final String`
`TEXT_UNDERLINE_MEMBER`
`"textUnderline"`
org.eclipse.birt.report.model.api.elements.structures.IncludedCssStyleSheet
Modifier and Type
Constant Field
Value
`public static final String`
`EXTERNAL_CSS_URI_MEMBER`
`"externalCssURI"`
`public static final String`
`FILE_NAME_MEMBER`
`"fileName"`
`public static final String`
`INCLUDED_CSS_STRUCT`
`"IncludedCssStyleSheet"`
`public static final String`
`USE_EXTERNAL_CSS`
`"useExternalCss"`
org.eclipse.birt.report.model.api.elements.structures.IncludedLibrary
Modifier and Type
Constant Field
Value
`public static final String`
`FILE_NAME_MEMBER`
`"fileName"`
`public static final String`
`INCLUDED_LIBRARY_STRUCT`
`"IncludedLibrary"`
`public static final String`
`NAMESPACE_MEMEBR`
`"namespace"`
org.eclipse.birt.report.model.api.elements.structures.IncludeScript
Modifier and Type
Constant Field
Value
`public static final String`
`FILE_NAME_MEMBER`
`"fileName"`
`public static final String`
`INCLUDE_SCRIPT_STRUCT`
`"IncludeScript"`
org.eclipse.birt.report.model.api.elements.structures.JoinCondition
Modifier and Type
Constant Field
Value
`public static final String`
`JOIN_OPERATOR_MEMBER`
`"joinOperator"`
`public static final String`
`JOIN_TYPE_MEMBER`
`"joinType"`
`public static final String`
`LEFT_DATASET_MEMBER`
`"leftDataSet"`
`public static final String`
`LEFT_EXPRESSION_MEMBER`
`"leftExpression"`
`public static final String`
`RIGHT_DATASET_MEMBER`
`"rightDataSet"`
`public static final String`
`RIGHT_EXPRESSION_MEMBER`
`"rightExpression"`
`public static final String`
`STRUCTURE_NAME`
`"JoinCondition"`
org.eclipse.birt.report.model.api.elements.structures.LevelAttribute
Modifier and Type
Constant Field
Value
`public static final String`
`DATA_TYPE_MEMBER`
`"dataType"`
`public static final String`
`DATE_TIME_ATTRIBUTE_NAME`
`"DateTime"`
`public static final String`
`NAME_MEMBER`
`"name"`
`public static final String`
`STRUCTURE_NAME`
`"LevelAttribute"`
org.eclipse.birt.report.model.api.elements.structures.MapRule
Modifier and Type
Constant Field
Value
`public static final String`
`DISPLAY_ID_MEMBER`
`"displayID"`
`public static final String`
`DISPLAY_MEMBER`
`"display"`
`public static final String`
`STRUCTURE_NAME`
`"MapRule"`
org.eclipse.birt.report.model.api.elements.structures.NumberFormatValue
Modifier and Type
Constant Field
Value
`public static final String`
`FORMAT_VALUE_STRUCT`
`"NumberFormatValue"`
org.eclipse.birt.report.model.api.elements.structures.OdaDataSetParameter
Modifier and Type
Constant Field
Value
`public static final String`
`NATIVE_DATA_TYPE_MEMBER`
`"nativeDataType"`
`public static final String`
`NATIVE_NAME_MEMBER`
`"nativeName"`
`public static final String`
`PARAM_NAME_MEMBER`
`"paramName"`
`public static final String`
`STRUCT_NAME`
`"OdaDataSetParam"`
org.eclipse.birt.report.model.api.elements.structures.OdaDesignerState
Modifier and Type
Constant Field
Value
`public static final String`
`CHARSET`
`"8859_1"`
`public static final String`
`CONTENT_AS_BLOB_MEMBER`
`"stateContentAsBlob"`
`public static final String`
`CONTENT_AS_STRING_MEMBER`
`"stateContentAsString"`
`public static final String`
`STRUCTURE_NAME`
`"OdaDesignerState"`
`public static final String`
`VERSION_MEMBER`
`"version"`
org.eclipse.birt.report.model.api.elements.structures.OdaLevelAttribute
Modifier and Type
Constant Field
Value
`public static final String`
`NATIVE_DATA_TYPE_MEMBER`
`"nativeDataType"`
`public static final String`
`NATIVE_NAME_MEMBER`
`"nativeName"`
`public static final String`
`STRUCTURE_NAME`
`"OdaLevelAttribute"`
org.eclipse.birt.report.model.api.elements.structures.OdaResultSetColumn
Modifier and Type
Constant Field
Value
`public static final String`
`NATIVE_DATA_TYPE_MEMBER`
`"nativeDataType"`
`public static final String`
`NATIVE_NAME_MEMBER`
`"nativeName"`
`public static final String`
`STRUCTURE_NAME`
`"OdaResultSetColumn"`
org.eclipse.birt.report.model.api.elements.structures.ParamBinding
Modifier and Type
Constant Field
Value
`public static final String`
`EXPRESSION_MEMBER`
`"expression"`
`public static final String`
`PARAM_BINDING_STRUCT`
`"ParamBinding"`
`public static final String`
`PARAM_NAME_MEMBER`
`"paramName"`
org.eclipse.birt.report.model.api.elements.structures.ParameterFormatValue
Modifier and Type
Constant Field
Value
`public static final String`
`FORMAT_VALUE_STRUCT`
`"ParameterFormatValue"`
org.eclipse.birt.report.model.api.elements.structures.PropertyBinding
Modifier and Type
Constant Field
Value
`public static final String`
`ID_MEMBER`
`"id"`
`public static final String`
`NAME_MEMBER`
`"name"`
`public static final String`
`PROPERTY_BINDING_STRUCT`
`"PropertyBinding"`
`public static final String`
`VALUE_MEMBER`
`"value"`
org.eclipse.birt.report.model.api.elements.structures.PropertyMask
Modifier and Type
Constant Field
Value
`public static final String`
`MASK_MEMBER`
`"mask"`
`public static final String`
`NAME_MEMBER`
`"name"`
`public static final String`
`STRUCTURE_NAME`
`"PropertyMask"`
org.eclipse.birt.report.model.api.elements.structures.ResultSetColumn
Modifier and Type
Constant Field
Value
`public static final String`
`DATA_TYPE_MEMBER`
`"dataType"`
`public static final String`
`NAME_MEMBER`
`"name"`
`public static final String`
`NATIVE_DATA_TYPE_MEMBER`
`"nativeDataType"`
`public static final String`
`POSITION_MEMBER`
`"position"`
`public static final String`
`RESULT_SET_COLUMN_STRUCT`
`"ResultSetColumn"`
org.eclipse.birt.report.model.api.elements.structures.Rule
Modifier and Type
Constant Field
Value
`public static final String`
`DISPLAY_EXPRE_MEMBER`
`"displayExpre"`
`public static final String`
`RULE_EXPRE_MEMBER`
`"ruleExpre"`
`public static final String`
`RULE_STRUCTURE`
`"Rule"`
org.eclipse.birt.report.model.api.elements.structures.ScriptLib
Modifier and Type
Constant Field
Value
`public static final String`
`SCRIPTLIB_NAME_MEMBER`
`"name"`
`public static final String`
`STRUCTURE_NAME`
`"ScriptLib"`
org.eclipse.birt.report.model.api.elements.structures.SearchKey
Modifier and Type
Constant Field
Value
`public static final String`
`EXPRESSION_MEMBER`
`"expression"`
`public static final String`
`SEARCHKEY_STRUCT`
`"SearchKey"`
org.eclipse.birt.report.model.api.elements.structures.SelectionChoice
Modifier and Type
Constant Field
Value
`public static final String`
`LABEL_MEMBER`
`"label"`
`public static final String`
`LABEL_RESOURCE_KEY_MEMBER`
`"labelID"`
`public static final String`
`STRUCTURE_NAME`
`"SelectionChoice"`
`public static final String`
`VALUE_MEMBER`
`"value"`
org.eclipse.birt.report.model.api.elements.structures.SortHint
Modifier and Type
Constant Field
Value
`public static final String`
`COLUMN_NAME_MEMBER`
`"columnName"`
`public static final String`
`DIRECTION_MEMBER`
`"direction"`
`public static final String`
`IS_OPTIONAL_MEMBER`
`"isOptional"`
`public static final String`
`NULL_VALUE_ORDERING_MEMBER`
`"nullValueOrdering"`
`public static final String`
`POSITION_MEMBER`
`"position"`
`public static final String`
`SORT_HINT_STRUCT`
`"SortHint"`
org.eclipse.birt.report.model.api.elements.structures.SortKey
Modifier and Type
Constant Field
Value
`public static final String`
`DIRECTION_MEMBER`
`"direction"`
`public static final String`
`KEY_MEMBER`
`"key"`
`public static final String`
`LOCALE_MEMBER`
`"locale"`
`public static final String`
`SORT_STRUCT`
`"SortKey"`
`public static final String`
`STRENGTH_MEMBER`
`"strength"`
org.eclipse.birt.report.model.api.elements.structures.StringFormatValue
Modifier and Type
Constant Field
Value
`public static final String`
`FORMAT_VALUE_STRUCT`
`"StringFormatValue"`
org.eclipse.birt.report.model.api.elements.structures.StyleRule
Modifier and Type
Constant Field
Value
`public static final String`
`IS_DESIGN_TIME_MEMBER`
`"isDesignTime"`
`public static final String`
`OPERATOR_MEMBER`
`"operator"`
`public static final String`
`TEST_EXPR_MEMBER`
`"testExpr"`
`public static final String`
`VALUE1_MEMBER`
`"value1"`
`public static final String`
`VALUE2_MEMBER`
`"value2"`
org.eclipse.birt.report.model.api.elements.structures.TimeFormatValue
Modifier and Type
Constant Field
Value
`public static final String`
`FORMAT_VALUE_STRUCT`
`"TimeFormatValue"`
org.eclipse.birt.report.model.api.elements.structures.TimeInterval
Modifier and Type
Constant Field
Value
`public static final String`
`MEASURE_MEMBER`
`"measure"`
`public static final String`
`STRUCTURE_NAME`
`"TimeInterval"`
`public static final String`
`UNIT_MEMBER`
`"unit"`
org.eclipse.birt.report.model.api.elements.structures.TOC
Modifier and Type
Constant Field
Value
`public static final String`
`BACKGROUND_COLOR_MEMBER`
`"backgroundColor"`
`public static final String`
`BORDER_BOTTOM_COLOR_MEMBER`
`"borderBottomColor"`
`public static final String`
`BORDER_BOTTOM_STYLE_MEMBER`
`"borderBottomStyle"`
`public static final String`
`BORDER_BOTTOM_WIDTH_MEMBER`
`"borderBottomWidth"`
`public static final String`
`BORDER_LEFT_COLOR_MEMBER`
`"borderLeftColor"`
`public static final String`
`BORDER_LEFT_STYLE_MEMBER`
`"borderLeftStyle"`
`public static final String`
`BORDER_LEFT_WIDTH_MEMBER`
`"borderLeftWidth"`
`public static final String`
`BORDER_RIGHT_COLOR_MEMBER`
`"borderRightColor"`
`public static final String`
`BORDER_RIGHT_STYLE_MEMBER`
`"borderRightStyle"`
`public static final String`
`BORDER_RIGHT_WIDTH_MEMBER`
`"borderRightWidth"`
`public static final String`
`BORDER_TOP_COLOR_MEMBER`
`"borderTopColor"`
`public static final String`
`BORDER_TOP_STYLE_MEMBER`
`"borderTopStyle"`
`public static final String`
`BORDER_TOP_WIDTH_MEMBER`
`"borderTopWidth"`
`public static final String`
`COLOR_MEMBER`
`"color"`
`public static final String`
`DATE_TIME_FORMAT_MEMBER`
`"dateTimeFormat"`
`public static final String`
`FONT_FAMILY_MEMBER`
`"fontFamily"`
`public static final String`
`FONT_SIZE_MEMBER`
`"fontSize"`
`public static final String`
`FONT_STYLE_MEMBER`
`"fontStyle"`
`public static final String`
`FONT_VARIANT_MEMBER`
`"fontVariant"`
`public static final String`
`FONT_WEIGHT_MEMBER`
`"fontWeight"`
`public static final String`
`NUMBER_ALIGN_MEMBER`
`"numberAlign"`
`public static final String`
`NUMBER_FORMAT_MEMBER`
`"numberFormat"`
`public static final String`
`STRING_FORMAT_MEMBER`
`"stringFormat"`
`public static final String`
`TEXT_ALIGN_MEMBER`
`"textAlign"`
`public static final String`
`TEXT_DIRECTION_MEMBER`
`"bidiTextDirection"`
`public static final String`
`TEXT_INDENT_MEMBER`
`"textIndent"`
`public static final String`
`TEXT_LINE_THROUGH_MEMBER`
`"textLineThrough"`
`public static final String`
`TEXT_OVERLINE_MEMBER`
`"textOverline"`
`public static final String`
`TEXT_TRANSFORM_MEMBER`
`"textTransform"`
`public static final String`
`TEXT_UNDERLINE_MEMBER`
`"textUnderline"`
`public static final String`
`TOC_EXPRESSION`
`"expressionValue"`
`public static final String`
`TOC_STRUCT`
`"TOCStructure"`
`public static final String`
`TOC_STYLE`
`"TOCStyle"`

org.eclipse.birt.report.model.api.elements.table.LayoutCell
Modifier and Type
Constant Field
Value
`public static final int`
`CELL_EMPTY`
`0`
`public static final int`
`CELL_USED`
`1`
`public static final int`
`DROP_SPANNED`
`2`
org.eclipse.birt.report.model.api.elements.table.LayoutChangedEvent
Modifier and Type
Constant Field
Value
`public static final int`
`UPDATE`
`1`

org.eclipse.birt.report.model.api.extension.CompatibilityStatus
Modifier and Type
Constant Field
Value
`public static final int`
`CONVERT_COMPATIBILITY_TYPE`
`2`
`public static final int`
`NOT_SUPPORTED_TYPE`
`1`
`public static final int`
`OK_TYPE`
`0`
org.eclipse.birt.report.model.api.extension.ExtendedElementException
Modifier and Type
Constant Field
Value
`public static final String`
`LINE_NUMBER`
`"lineNo"`
`public static final String`
`LOCALIZED_MESSAGE`
`"localized_message"`
`public static final String`
`SUB_EDITOR`
`"sub_editor"`

org.eclipse.birt.report.model.api.filterExtension.FilterExprDefinition
Modifier and Type
Constant Field
Value
`protected static final int`
`UNDEFINED`
`-1`

org.eclipse.birt.report.model.api.filterExtension.interfaces.IFilterExprDefinition
Modifier and Type
Constant Field
Value
`public static final int`
`BIRT_SUPPORT_ONLY`
`0`
`public static final int`
`EXPR_MAPPING_SUPPORTED`
`2`
`public static final int`
`EXTENSION_SUPPORT_ONLY`
`1`

org.eclipse.birt.report.model.api.metadata.DimensionValue
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_UNIT`
`""`
org.eclipse.birt.report.model.api.metadata.IArgumentInfo
Modifier and Type
Constant Field
Value
`public static final String`
`OPTIONAL_ARGUMENT_NAME`
`"optionalArgument"`
org.eclipse.birt.report.model.api.metadata.IColorConstants
Modifier and Type
Constant Field
Value
`public static final String`
`AQUA`
`"aqua"`
`public static final String`
`BLACK`
`"black"`
`public static final String`
`BLUE`
`"blue"`
`public static final String`
`COLORS_CHOICE_SET`
`"colors"`
`public static final String`
`FUCHSIA`
`"fuchsia"`
`public static final String`
`GRAY`
`"gray"`
`public static final String`
`GREEN`
`"green"`
`public static final String`
`LIME`
`"lime"`
`public static final String`
`MAROON`
`"maroon"`
`public static final String`
`NAVY`
`"navy"`
`public static final String`
`OLIVE`
`"olive"`
`public static final String`
`ORANGE`
`"orange"`
`public static final String`
`PURPLE`
`"purple"`
`public static final String`
`RED`
`"red"`
`public static final String`
`SILVER`
`"silver"`
`public static final String`
`TEAL`
`"teal"`
`public static final String`
`WHITE`
`"white"`
`public static final String`
`YELLOW`
`"yellow"`
org.eclipse.birt.report.model.api.metadata.IMetaDataDictionary
Modifier and Type
Constant Field
Value
`public static final String`
`FINANCE_CLASS_NAME`
`"Finance"`
`public static final String`
`TOTAL_CLASS_NAME`
`"Total"`
org.eclipse.birt.report.model.api.metadata.IPropertyDefn
Modifier and Type
Constant Field
Value
`public static final int`
`COMMERCIAL_PROPERTY`
`5`
`public static final int`
`EXTENSION_MODEL_PROPERTY`
`3`
`public static final int`
`EXTENSION_PROPERTY`
`2`
`public static final int`
`ODA_PROPERTY`
`4`
`public static final int`
`SYSTEM_PROPERTY`
`0`
`public static final int`
`USER_PROPERTY`
`1`
org.eclipse.birt.report.model.api.metadata.IPropertyType
Modifier and Type
Constant Field
Value
`public static final int`
`BOOLEAN_TYPE`
`6`
`public static final String`
`BOOLEAN_TYPE_NAME`
`"boolean"`
`public static final int`
`CHOICE_TYPE`
`5`
`public static final String`
`CHOICE_TYPE_NAME`
`"choice"`
`public static final int`
`COLOR_TYPE`
`4`
`public static final String`
`COLOR_TYPE_NAME`
`"color"`
`public static final int`
`CONTENT_ELEMENT_TYPE`
`24`
`public static final String`
`CONTENT_ELEMENT_TYPE_NAME`
`"contentElement"`
`public static final int`
`DATE_TIME_TYPE`
`11`
`public static final String`
`DATE_TIME_TYPE_NAME`
`"dateTime"`
`public static final int`
`DIMENSION_TYPE`
`3`
`public static final String`
`DIMENSION_TYPE_NAME`
`"dimension"`
`public static final String`
`ELEMENT_REF_NAME`
`"elementRef"`
`public static final int`
`ELEMENT_REF_TYPE`
`15`
`public static final int`
`ELEMENT_TYPE`
`23`
`public static final String`
`ELEMENT_TYPE_NAME`
`"element"`
`public static final int`
`EXPRESSION_TYPE`
`7`
`public static final String`
`EXPRESSION_TYPE_NAME`
`"expression"`
`public static final int`
`EXTENDS_TYPE`
`17`
`public static final String`
`EXTENDS_TYPE_NAME`
`"extends"`
`public static final int`
`FLOAT_TYPE`
`14`
`public static final String`
`FLOAT_TYPE_NAME`
`"float"`
`public static final int`
`HTML_TYPE`
`8`
`public static final String`
`HTML_TYPE_NAME`
`"html"`
`public static final int`
`INTEGER_TYPE`
`2`
`public static final String`
`INTEGER_TYPE_NAME`
`"integer"`
`public static final int`
`LIST_TYPE`
`20`
`public static final String`
`LIST_TYPE_NAME`
`"list"`
`public static final int`
`LITERAL_STRING_TYPE`
`21`
`public static final String`
`LITERAL_STRING_TYPE_NAME`
`"literalString"`
`public static final int`
`LOCALE_TYPE`
`25`
`public static final String`
`LOCALE_TYPE_NAME`
`"locale"`
`public static final String`
`MEMBER_KEY_NAME`
`"memberKey"`
`public static final int`
`MEMBER_KEY_TYPE`
`22`
`public static final int`
`NAME_TYPE`
`13`
`public static final String`
`NAME_TYPE_NAME`
`"name"`
`public static final int`
`NUMBER_TYPE`
`1`
`public static final String`
`NUMBER_TYPE_NAME`
`"number"`
`public static final String`
`POINTS_TYPE_NAME`
`"points"`
`public static final int`
`RESOURCE_KEY_TYPE`
`9`
`public static final String`
`RESOURCE_KEY_TYPE_NAME`
`"resourceKey"`
`public static final int`
`SCRIPT_TYPE`
`18`
`public static final String`
`SCRIPT_TYPE_NAME`
`"script"`
`public static final int`
`STRING_TYPE`
`0`
`public static final String`
`STRING_TYPE_NAME`
`"string"`
`public static final int`
`STRUCT_REF_TYPE`
`19`
`public static final String`
`STRUCT_REF_TYPE_NAME`
`"structRef"`
`public static final int`
`STRUCT_TYPE`
`16`
`public static final String`
`STRUCT_TYPE_NAME`
`"structure"`
`public static final int`
`TYPE_COUNT`
`26`
`public static final int`
`URI_TYPE`
`10`
`public static final String`
`URI_TYPE_NAME`
`"uri"`
`public static final int`
`XML_TYPE`
`12`
`public static final String`
`XML_TYPE_NAME`
`"xml"`
org.eclipse.birt.report.model.api.metadata.MetaDataConstants
Modifier and Type
Constant Field
Value
`public static final int`
`NO_NAME`
`0`
`public static final String`
`NO_NAME_SPACE`
`"NONE"`
`public static final int`
`OPTIONAL_NAME`
`1`
`public static final String`
`REPORT_DESIGN_NAME`
`"ReportDesign"`
`public static final String`
`REPORT_ELEMENT_NAME`
`"ReportElement"`
`public static final int`
`REQUIRED_NAME`
`2`
`public static final String`
`STYLE_NAME`
`"Style"`
org.eclipse.birt.report.model.api.metadata.MetaDataReaderException
Modifier and Type
Constant Field
Value
`public static final String`
`DESIGN_EXCEPTION_META_DATA_ERROR`
`"Error.MetaDataReaderException.META_DATA_ERROR"`
org.eclipse.birt.report.model.api.metadata.PropertyValueException
Modifier and Type
Constant Field
Value
`public static final String`
`DESIGN_EXCEPTION_CHOICE_NOT_ALLOWED`
`"Error.PropertyValueException.CHOICE_NOT_ALLOWED"`
`public static final String`
`DESIGN_EXCEPTION_CHOICE_NOT_FOUND`
`"Error.PropertyValueException.CHOICE_NOT_FOUND"`
`public static final String`
`DESIGN_EXCEPTION_DOT_FORBIDDEN`
`"Error.PropertyValueException.DOT_FORBIDDEN"`
`public static final String`
`DESIGN_EXCEPTION_EXTENSION_SETTING_FORBIDDEN`
`"Error.PropertyValueException.EXTENSION_SETTING_FORBIDDEN"`
`public static final String`
`DESIGN_EXCEPTION_INVALID_VALUE`
`"Error.PropertyValueException.INVALID_VALUE"`
`public static final String`
`DESIGN_EXCEPTION_ITEM_NOT_FOUND`
`"Error.PropertyValueException.ITEM_NOT_FOUND"`
`public static final String`
`DESIGN_EXCEPTION_NEGATIVE_VALUE`
`"Error.PropertyValueException.NEGATIVE_VALUE"`
`public static final String`
`DESIGN_EXCEPTION_NON_POSITIVE_VALUE`
`"Error.PropertyValueException.NON_POSITIVE_VALUE"`
`public static final String`
`DESIGN_EXCEPTION_NOT_LIST_TYPE`
`"Error.PropertyValueException.NOT_LIST_TYPE"`
`public static final String`
`DESIGN_EXCEPTION_NOT_SUPPORTED_REPORT_ITEM_THEME_TYPE`
`"Error.PropertyValueException.NOT_SUPPORTED_REPORT_ITEM_THEME_TYPE"`
`public static final String`
`DESIGN_EXCEPTION_PROPERTY_CHANGE_FORBIDDEN`
`"Error.PropertyValueException.PROPERTY_CHANGE_FORBIDDEN"`
`public static final String`
`DESIGN_EXCEPTION_UNIT_NOT_ALLOWED`
`"Error.PropertyValueException.UNIT_NOT_ALLOWED"`
`public static final String`
`DESIGN_EXCEPTION_VALUE_EXISTS`
`"Error.PropertyValueException.VALUE_EXISTS"`
`public static final String`
`DESIGN_EXCEPTION_VALUE_LOCKED`
`"Error.PropertyValueException.VALUE_LOCKED"`
`public static final String`
`DESIGN_EXCEPTION_VALUE_REQUIRED`
`"Error.PropertyValueException.VALUE_REQUIRED"`
`public static final String`
`DESIGN_EXCEPTION_WRONG_ELEMENT_TYPE`
`"Error.PropertyValueException.WRONG_ELEMENT_TYPE"`
`public static final String`
`DESIGN_EXCEPTION_WRONG_ITEM_TYPE`
`"Error.PropertyValueException.WRONG_ITEM_TYPE"`
org.eclipse.birt.report.model.api.metadata.UserChoice
Modifier and Type
Constant Field
Value
`public static final String`
`DISPLAY_NAME_PROP`
`"displayName"`
`public static final String`
`VALUE_PROP`
`"value"`

org.eclipse.birt.report.model.api.oda.AggregationDefn
Modifier and Type
Constant Field
Value
`protected static final int`
`UNDEFINED`
`-1`

org.eclipse.birt.report.model.api.simpleapi.IExpressionType
Modifier and Type
Constant Field
Value
`public static final String`
`CONSTANT`
`"constant"`
`public static final String`
`JAVASCRIPT`
`"javascript"`
org.eclipse.birt.report.model.api.simpleapi.ISimpleElementFactory
Modifier and Type
Constant Field
Value
`public static final int`
`MULTI_ROW_ITEM`
`0`
`public static final int`
`SIMPLE_ROW_ITEM`
`1`
org.eclipse.birt.report.model.api.simpleapi.ScriptConstants
Modifier and Type
Constant Field
Value
`public static final String`
`ACTION_LINK_TYPE_BOOKMARK_LINK`
`"bookmark-link"`
`public static final String`
`ACTION_LINK_TYPE_DRILL_THROUGH`
`"drill-through"`
`public static final String`
`ACTION_LINK_TYPE_HYPERLINK`
`"hyperlink"`
`public static final String`
`ACTION_LINK_TYPE_NONE`
`"none"`
`public static final String`
`FILTER_OPERATOR_BETWEEN`
`"between"`
`public static final String`
`FILTER_OPERATOR_BOTTOM_N`
`"bottom-n"`
`public static final String`
`FILTER_OPERATOR_BOTTOM_PERCENT`
`"bottom-percent"`
`public static final String`
`FILTER_OPERATOR_EQ`
`"eq"`
`public static final String`
`FILTER_OPERATOR_FALSE`
`"is-false"`
`public static final String`
`FILTER_OPERATOR_GE`
`"ge"`
`public static final String`
`FILTER_OPERATOR_GT`
`"gt"`
`public static final String`
`FILTER_OPERATOR_IN`
`"in"`
`public static final String`
`FILTER_OPERATOR_LE`
`"le"`
`public static final String`
`FILTER_OPERATOR_LIKE`
`"like"`
`public static final String`
`FILTER_OPERATOR_LT`
`"lt"`
`public static final String`
`FILTER_OPERATOR_MATCH`
`"match"`
`public static final String`
`FILTER_OPERATOR_NE`
`"ne"`
`public static final String`
`FILTER_OPERATOR_NOT_BETWEEN`
`"not-between"`
`public static final String`
`FILTER_OPERATOR_NOT_IN`
`"not-in"`
`public static final String`
`FILTER_OPERATOR_NOT_LIKE`
`"not-like"`
`public static final String`
`FILTER_OPERATOR_NOT_MATCH`
`"not-match"`
`public static final String`
`FILTER_OPERATOR_NOT_NULL`
`"is-not-null"`
`public static final String`
`FILTER_OPERATOR_NULL`
`"is-null"`
`public static final String`
`FILTER_OPERATOR_TOP_N`
`"top-n"`
`public static final String`
`FILTER_OPERATOR_TOP_PERCENT`
`"top-percent"`
`public static final String`
`FILTER_OPERATOR_TRUE`
`"is-true"`
`public static final String`
`SORT_DIRECTION_ASC`
`"asc"`
`public static final String`
`SORT_DIRECTION_DESC`
`"desc"`

org.eclipse.birt.report.model.api.util.ColorUtil
Modifier and Type
Constant Field
Value
`public static final int`
`CSS_ABSOLUTE_FORMAT`
`3`
`public static final int`
`CSS_RELATIVE_FORMAT`
`4`
`public static final int`
`DEFAULT_FORMAT`
`3`
`public static final int`
`HTML_FORMAT`
`1`
`public static final int`
`INT_FORMAT`
`0`
`public static final int`
`JAVA_FORMAT`
`2`
org.eclipse.birt.report.model.api.util.DimensionUtil
Modifier and Type
Constant Field
Value
`public static final double`
`CM_PER_INCH`
`2.54`
`public static final int`
`DEFAULT_DPI`
`96`
`public static final double`
`PIXEL_PER_PICA`
`16.0`
`public static final double`
`POINTS_PER_CM`
`28.346456692913385`
`public static final double`
`POINTS_PER_INCH`
`72.0`
`public static final double`
`POINTS_PER_PICA`
`12.0`
org.eclipse.birt.report.model.api.util.IBookmarkInfo
Modifier and Type
Constant Field
Value
`public static final int`
`CONSTANTS_TYPE`
`1`
`public static final int`
`EXPRESSION_TYPE`
`2`
org.eclipse.birt.report.model.api.util.OperatorUtil
Modifier and Type
Constant Field
Value
`public static final int`
`OPERATOR_LEVEL_NOT_EXIST`
`-1`
`public static final int`
`OPERATOR_LEVEL_ONE`
`1`
`public static final int`
`OPERATOR_LEVEL_TWO`
`2`
`public static final int`
`OPERATOR_LEVEL_ZERO`
`0`
org.eclipse.birt.report.model.api.util.ParameterValidationUtil
Modifier and Type
Constant Field
Value
`public static final String`
`DEFAULT_DATE_FORMAT`
`"yyyy-MM-dd"`
`public static final String`
`DEFAULT_DATETIME_FORMAT`
`"yyyy-MM-dd HH:mm:ss.SSS"`
`public static final String`
`DEFAULT_TIME_FORMAT`
`"HH:mm:ss"`
`public static final String`
`DISPLAY_DATE_FORMAT`
`"Medium Date"`
`public static final String`
`DISPLAY_TIME_FORMAT`
`"Medium Time"`
org.eclipse.birt.report.model.api.util.StringUtil
Modifier and Type
Constant Field
Value
`public static final String`
`EMPTY_STRING`
`""`
org.eclipse.birt.report.model.api.util.UnicodeUtil
Modifier and Type
Constant Field
Value
`public static final String`
`SIGNATURE_UCS4_BIG`
`"UCS-4Big"`
`public static final String`
`SIGNATURE_UCS4_LITTLE`
`"UCS-4Little"`
`public static final String`
`SIGNATURE_UNICODE_BIG`
`"UnicodeBig"`
`public static final String`
`SIGNATURE_UNICODE_LITTLE`
`"UnicodeLittle"`
`public static final String`
`SIGNATURE_UTF_8`
`"UTF-8"`
org.eclipse.birt.report.model.api.util.URIUtil
Modifier and Type
Constant Field
Value
`public static final String`
`FILE_SCHEMA`
`"file"`
org.eclipse.birt.report.model.api.util.XPathUtil
Modifier and Type
Constant Field
Value
`public static final String`
`RESOURCE_KEY_SUFFIX`
`"ID"`
`public static final String`
`SLOT_NAME_PROPERTY`
`"slotName"`

org.eclipse.birt.report.model.api.validators.ElementExtendsValidator
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"ElementExtendsValidator"`
org.eclipse.birt.report.model.api.validators.ElementReferenceValidator
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"ElementReferenceValidator"`
org.eclipse.birt.report.model.api.validators.ExtensionValidator
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"ExtensionValidator"`
org.eclipse.birt.report.model.api.validators.SimpleListValidator
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"SimpleListValidator"`
org.eclipse.birt.report.model.api.validators.StructureListValidator
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"StructureListValidator"`
org.eclipse.birt.report.model.api.validators.StructureReferenceValidator
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"StructureReferenceValidator"`
org.eclipse.birt.report.model.api.validators.StructureValidator
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"StructureValidator"`
org.eclipse.birt.report.model.api.validators.StyleReferenceValidator
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"StyleReferenceValidator"`
org.eclipse.birt.report.model.api.validators.ThemeReferenceValidator
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"ThemeReferenceValidator"`
org.eclipse.birt.report.model.api.validators.UnsupportedElementValidator
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"UnsupportedElementValidator"`
org.eclipse.birt.report.model.api.validators.ValueRequiredValidator
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"ValueRequiredValidator"`